Version 8.133 - 31 May 2023

- testsuite:
  o use a more generic compiler for cpan testers

Version 8.132 - 29 May 2023

- Set wget as default downloader (mga#24362) 
- testsuite:
  o add i586 to i686 upgrate test

Version 8.131 - 13 April 2023

- urpmi:
  o Fix --auto-orphans vs new kernel naming
    (having multuple "kernel" pkgs with different versions)

Version 8.130 - 28 January 2023

- library:
  o force timestamping=off when using wget to avoid conflict with --force-clobber

Version 8.129 - 21 January 2023

- library:
  o prefer wget to curl as the default downloader (mga#24362)
  o fix curl options to allow it to follow HTTP redirections (mga#31339)
- cpan_testers:
  o Skip mirrorlist tests if there's only one broken mirror such as on mga[1-6]
- urpmq:
  o --requires/suggests: do not warn about 14y+ old behavior change (mga#26448)

Version 8.128 - 5 November 2022

- library:
  o fix download with curl 7.86+ when the URL has a query part (mga#31047)
- gurpmi2:
  o fix Cancel button getting lost after first batch of downloads is done

Version 8.127 - 31 October 2021

- Convert from bdb backend to sqlite also when not chrooted
  (live upgrades, mga#29364)
- Prefer encrypted protocols when selecting a mirror when using a mirrorlist
- cpan_testers:
  o skip rpm-v3 tests on known broken versions of rpm

Version 8.126 - 5 June 2021

- Convert from bdb backend to sqlite when using rpm >= 4.16

Version 8.125 - 17 February 2021

- translation updates

Version 8.124 - 24 November 2020

- gurpmi2:
  o ensure download error report fits on screen
- Make it work with no feature qw(indirect) (aka perl7)
- urpmi:
  o make logs more reproductable
- urpmi.addmedia:
  o add --ignorearch option
- small Kwalitee cleanups
- stop truncating disk names when prompting for a CD/USB key
- cpan_testers:
  o fix bundled genhdlist2 wrongly defaulting to zstd

Version 8.123 - 30 April 2020

- cpan_testers:
  o BSD: prevent failing due to broken deps generator
  o do not skip network tests on pre-UsrMove distros (eg: Mageia 2)
  o fix running genhlist2 with the right perl version
  o fix running testsuite with rpm-4.9
  o fix testuite if glibc-static-devel isn't installed on Mageia 2
  o needs URPM 5.28 for maximal portability

Version 8.122 - 28 April 2020

- cpan_testers:
  o adapt to a world where gcc is no more the apex predator
    (aka works out of the box when there's clang but not gcc)
  o bundled genhdlist2 and fallback to it if CPAN failed to install rpmtools
    scripts
  o check & report where genhdlist2 is
  o check that web server has actually started
  o describe more tests to help pinpoint regressions
  o display RPM version in cpan-testers logs
  o do not fail test when libnss.so is not found in Debian 9 or FreeBSD
  o fix failing to build some rpms on FreeBSD
  o fix failing tests when serving over HTTP from within /root
  o fix test with rpm < 4.13 on CentOS7
  o make sure genhdlist2 works
  o perform some file conflict tests only on Mageia
  o try harder to find genhdlist2 in uninstalled CPAN modules
  o work without glibc-static-devel
  o workaround %find_lang sometimes failing on FreeBSD
- library:
  o enhance the doc
  o fix rpm version check causing strange warning messages:
    "shell-init: error retrieving current directory: getcwd: cannot access parent directories: No such file or directory"
- testsuite:
  o add more extensive tests
  o describe it more
  o disable fsync/fdatasync while running tests
  o make it more robust
  o make sure simple-httpd is really killed once tests are completed
  o retry if curl failed with timeout

Version 8.121 - 8 April 2020

- urpmi:
  o add support for --reinstall
- urpmq:
  o display epoch when using -i (mga#25735)
- library:
  o add dummy urpmi.pm package for CPAN & proper indexation (RT#127881)
- cpan_testers:
  o actually needs perl >= 5.10 for //= operator
  o fix a test with rpm < 4.13.0
  o fix building rpms on FreeBSD
  o fix failing scriptlets test with rpm < 4.13.0
  o fix looking for non existing libnss.so on FreeBSD
  o fix testsuite errors on CentOs (NVR vs NVRA)
  o include /usr/local/bin in PATH
  o require a newer enough Test::More & rpmtools
  o skip mirrorlist tests on !Mageia
  o skip tests if we have no supported downloader
  o skip weak deps test on CentOS 7 (unsupported)
  o testsuite needs rpmtools
  o workaround disabled nobody account (eg on CentOS7)
  o workaround 'nogroup' not existing on CentOS

Version 8.120 - 21 October 2019

- fix test for whether any 32-bit packages are installed

Version 8.119 - 19 October 2019

- when adding distrib media, enable 32-bit media if needed (mga#24438)
- translations updates

Version 8.118 - 22 June 2019

- ensure downloaded files are world-readable (mga#24636)

Version 8.117 - 21 June 2019

- ensure urpmi config and cache files are world-readable (mga#24636)

Version 8.116 - 27 May 2019

- don't enable 32-bit media by default on 64-bit systems (mga#24376)
  o except on systems with 32-bit EFI, where we need the Core 32bit
    media for the bootloader

Version 8.115 - 1 May 2019

- library:
  o fix _rpm_version() when rpm is translated
  o use proper versionning (RT#127142)
- testsuite:
  o make it work with rpm < 4.14.2 again
- cpan_testers:
  o add missing spec file
  o make it work with perl < 5.22.0
  o skip network tests if we don't have a downloader
  o update deps
- translations updates

Version 8.114 - 17 September 2018

- enhanced doc
- fix testsuite with rpm-4.14.2

Version 8.113 - 14 September 2018

- adapt testsuite to rpm-4.14.0~rc1
- add support for verify callback when installing (mga#23531)

Version 8.112 - 14 June 2018

- cpan testers:
  o add metadata
  o list needed deps
- urpmi_rpm-find-leaves
  o fix running with perl-5.26 (mga#23172)

Version 8.111 - 19 September 2017

- gurpmi:
  o update perl-Pango first too (mga#21425)
- urpmi:
  o update perl-base first too
  o use XML::LibXML::Parser's 'huge' option

Version 8.110 - 13 July 2017

- workaround a segfault in gurpmi (mga#21167)
- translation updates

Version 8.109 - 5 June 2017

- translation updates

Version 8.108 - 9 May 2017

- increase transaction size from 8 to 50 (mga#18426)

Version 8.107 - 26 April 2017

- make sure that urpmi.cfg is world-readable (mga#9386)
- ensure gurpmi ProgressDialog centering (mga#19196)
- update Mageia copyright statements
- translation updates

Version 8.106 - 6 December 2016

- skip kernel-firmware-nonfree too when considering real kernels
  Thus preventing kernel-firmware-nonfree being falsely detected as an orphan
  package (mga#12361)

Version 8.105 - 20 October 2016

- adapt testsuite to rpm-4.13.0~rc2

Version 8.104 - 15 October 2016

- fix more Getopt::Long breakages (drop the "gnu_compat" option)

Version 8.103 - 11 July 2016

- fix reporting progress with newer aria2 (mga#16500)
- fix Getopt::Long 4.60+ breakages (mga#17923)
- s/suggests/recommends/ in bash completion

Version 8.102 - 14 April 2016

- add --deploops & --debug-librpm to bash completion
- unset LD_PRELOAD in chroot (eg: for eatmydata)
- use new "elem" callback
  (need URPM >= 5.07)

Version 8.101 - 9 October 2015

- prefer http mirrors when using a mirrorlist, this avoids selecting an rsync
  mirror which prevents aria2 from being used

Version 8.10 - 9 October 2015

- fix urpm::bug_report (mga#16925)

Version 8.09 - 4 September 2015

- fix urpm::parallel

Version 8.08 - 4 September 2015

- fix installing /sbin/*
  (regression with perl-5.22's ExtUtils-MakeMaker now wrapping $(...) )
- fix perl_checker checking

Version 8.07 - 3 September 2015

- aria2 downloading:
  o fix using a proxy without an auth user (mga#11265)
- library:
  o fix unmarking packages as potential orphans when downgrading (mga#16149)
  o fix Term::ReadKey warnings when output is redirected
- testsuite:
  o misc enhancements & cleanups
  o fix tests for ignored faillure for %pre{,un}, %pretrans
    (was ignored since rpm-4.9.0)
  o test that %pretrans do fail installtion (needs rpm-4.13)

Version 8.06 - 18 May 2015

- updated translations

Version 8.05 - 18 March 2015

- gurpmi:
  o install perl-Glib-Object-Introspection as priority upgrades prior to restart

Version 8.04 - 26 February 2015

- always display the right package name on errors (mga#15032)

Version 8.03 - 1 January 2015

- enhanced doc

Version 8.02 - 25 November 2014

- gurpmi:
  o fix --auto not working anymore (mga#14565)
    (regression introduced in 7.32)

Version 8.01 - 9 October 2014

- revert "bump split-length from 8 to 50"

Version 8.00 - 13 September 2014

- rpm-4.12 support:
  o adapt to URPM-5.00
  o rename 'no_suggests' parameter as 'no_recommends'
  o rename '--allow-suggests' option as '--allow-recommends'
  o rename '--no-suggests' option as '--no-recommends'
  o rename '--suggests' option as '--recommends'

Version 7.32 - 5 September 2014

- add some missing methods, allows to do urpmf --qf '%sourcerpm:%requires'
- bump split-length from 8 to 50
  improves installing gnome in a chroot from 14m to 11m
- update bash completion
- gurpmi:
  o fix crashing when choosing to save file
  o fix segfaulting when managing exceptions
  o report crashes through drakbug
- fix some warnings with perl 5.20

Version 7.31 - 24 January 2014

- do not exec pkexec but run it so it has a parent process to fix double fork
  issues mga#11184 mga#12364
- gurpmi:
  o fix garbaged UTF-8 in file name arguments (mga#12407)

Version 7.30 - 5 December 2013

- convert from gtk2 to gtk3

Version 7.29 - 3 December 2013

- use /proc/self/mountinfo for ro filesystem checks mga#11319
- polkit: only use pkexec when not already root

Version 7.28 - 5 November 2013

- library:
  o fix parsing download progress with rsync >= 3.10
- urpmi:
  o add support for --deploops option (needs URPM-4.29+)

Version 7.27.5 - 13 October 2013, by Colin Guthrie

- use polkit for authorisation (mga#11125)

Version 7.27.4 - 4 October 2013, by Thierry Vignaud

- library:
  o adapt to perl-5.18
  o prevent disabling removing orphan if we failed to detect running kernel
    version

Version 7.27.3 - 30 May 2013, by Thierry Vignaud

- library:
  o revert fix for mga#10254 in previous release
    (the bug was in media.cfg, mga#10335)

Version 7.27.2 - 24 May 2013, by Thierry Vignaud

- library:
  o ensure priority updates are installed in a single transaction
  o fix wrongly enabling backports/testing for tainted/nonfree when
    such packages are already installed (mga#10254)

Version 7.27.1 - 17 May 2013, by Thierry Vignaud

- library:
  o really auto enable tainted media if needed when adding distrib media

Version 7.27 - 17 May 2013, by Thierry Vignaud

- gurpmi2:
  o like urpmi/rpmdrake/drakx, display all errors at once at end
    instead of forcing users to click in order to continue
    transactions (mga#6086)
  o do not popup errors at end in auto mode
- library (mga#8368, #8379 & #9758):
  o enable to see if nonfree/tainted packages are installed
  o auto enable nonfree/tainted media if needed when adding distrib media

Version 7.26 - 2 May 2013, by Thierry Vignaud

- gurpmi2:
  o sort package list
- library:
  o fix displaying removed package name in gurpmi/rpmdrake (mga#9545)

Version 7.25 - 21 April 2013, by Thierry Vignaud

- library:
  o enable rpmdrake to not use modal dialogs (mga#9646)
  o fix leaving read locks on rpmdb (mga#9248)

Version 7.24 - 18 April 2013, by Thierry Vignaud

- library:
  o display exceptions that happened while downloading (mga#9529)
- urpmi:
  o fix package count when a package has a %pretrans scriptlet

Version 7.23 - 21 March 2013, by Thierry Vignaud

- library:
  o enable to report packages signature checking in global progress bar dialog
- gurpmi2:
  o improved layout:
    * only the package list needs a scrolling bar
    * always display space information
  o display the addionnal space that will be used and the amount of downloaded
    packages instead of the total size of the packages (like urpmi)
  o fix return value (mga#9519)
  o report packages signature checking in global progress bar dialog

Version 7.22 - 21 March 2013, by Thierry Vignaud

- library:
  o account for packages to erase in gurpm progress bar
  o enable to have a cancel button in global progress bar dialog
- gurpmi2:
  o enable to cancel downloads
  o fix setting download callback

Version 7.21 - 21 March 2013, by Thierry Vignaud

- library:
  o restore main_window when global progress bar dialog is deleted

Version 7.20 - 19 March 2013, by Thierry Vignaud

- library:
  o drop 'callback_report_uninst' now that 'callback_uninst' enables to get
    erasure progress
  o enable rpmdrake/gurpm/drakx to pass their own callbacks for erasure
    progress & errors
  o enhanced doc
  o revert 'fixing (g)urpmi --auto-select --update defaulting to all media when
    there're no update media (#1024)' as it break looking for deps in other media
    with --update (mga#2317)
- gurpmi:
  o split global progress bar widget for rpmdrake (mga#778)
  o show removed packages in progress too
  o support exceptions in callback in main wrapper too
  o support other distros which do not handle exceptions in gtk+ callbacks
  o use new exception management

Version 7.19 - 9 February 2013, by Thierry Vignaud

- add basic support for --downgrade (mga#6655)

Version 7.18 - 9 February 2013, by Thierry Vignaud

- keep a separate counter for erasures

Version 7.17 - 5 February 2013, by Thierry Vignaud

- fix counting for erasures
- restore quiet behavior for erasures when not in verbose mode

Version 7.16 - 3 February 2013, by Thierry Vignaud

- add basic support for detecting I/O error
- display erasure progress too

Version 7.15.2 - 16 January 2013, by Thierry Vignaud

- update translations

Version 7.15.1 - 18 December 2012, by Thierry Vignaud

- library:
  o fix retrieving rpm version with stable rpm

Version 7.15 - 17 December 2012, by Thierry Vignaud

- library:
  o do not show empty information from README* with --justdb
  o fix retrieving rpm version with beta versions

Version 7.14 - 13 December 2012, by Thierry Vignaud

- library:
  o associate media_cfg data to media when adding them

Version 7.13 - 4 December 2012, by Thierry Vignaud

- library speedups when looking up packages:
  o do not attempt fuzzy matching if not requested
- urpmq:
  o do not allow substring matching with --fuzzy (mga#2953)

Version 7.12.1 - 4 December 2012, by Thierry Vignaud

- urpmi:
  o fix missing logs (mga#6755)

Version 7.12 - 2 December 2012, by Thierry Vignaud

- library:
  o fix an incomplete message
  o fix --download-all (mga#8272)
    (broken by "make --use-distrib works as user" in 7.9)

Version 7.11.1 - 17 November 2012, by Thierry Vignaud

- fix installing delta rpms

Version 7.11 - 16 November 2012, by Thierry Vignaud

- library:
  o fix installing delta rpms (it never worked before)
  o fix computing kernel orphans when running kernel is not the latest

Version 7.10 - 17 October 2012, by Thierry Vignaud

- do not offer to remove DKMS modules for current kernel (mga#5092)
- aria2 downloading:
  o do not use aria2 deprecated option (Sam Bailey, mga#7781)
  o reenable aria2 + metalink for downloading metadata by default (mdv)
  o tune aria2 download parameters for faster and more reliable options (mdv)
  o suppress aria2's printing of summaries to avoid it confusing urpmi parsing
    the output (mdv, mga#7776)

Version 7.9 - 11 October 2012, by Thierry Vignaud

- drop again urpmi.recover 
  (no more possible since rpm 4.6 which doesn't handle --repackage)
- drop --repackage option (non working since 2009)
- gurpmi:
  o add scrollbar for long one liner messages (mga#5118)
  o wrap big messages (mga#5118)
- library:
  o enhanced doc
- urpm[fq]:
  o make --use-distrib works as user (mga#1225)

Version 7.8.3 - 04 October 2012, by Thierry Vignaud

- fix urpmq --whatrequires regression introduced in 7.8.2 (#7706)

Version 7.8.2 - 26 September 2012

- adapt to URPM-4.15
- remove long deprecated & unused functions

Version 7.8.1 - 8 September 2012

- fix urpmq -h (mga#7390)

Version 7.8 - 7 September 2012

- add urpm::check_cache_dir() for mgaonline (mga#6083)

Version 7.7 - 5 September 2012

- use xz instead of lzma in order to read metadata

Version 7.6 - 1 September 2012

- translation updates

Version 7.5 - 31 August 2012

- fix testsuite
- library:
  o drop urpm::download::sync() (obsolete for years)
  o enhanced doc
  o internal cleanup (needs new drakx/rpmdrake)
- security:
  o downgrade missing medium key check question to a warning for virtual media
    without keys when using urpmi --use-distrib
  o downgrade missing signature check for local packages from a question to a
    warning
  o honor per medium "verify-rpm" option for missing signature check
  o media have keys, not signatures
  o prefix some messages with "SECURITY:"
  o warn about packages we don't check even if not using -v
- unrequested package list management (for orphans) (mga#7167):
  o do not wrongly tell we updated the unrequested package list when we didn't
    (eg: when not having the proper rights such as running urpmq as !root)
  o only write the unrequested package list file if the list actually changed
- urpmi.addmedia:
  o add --(no-)verify-rpm options
- urpmq: minor documentation fix (mga#7166)

Version 7.4 - 24 August 2012

- decrease total package count when some files are missing
- fix installing a package if user acks bogus signature
  (regression introduced in 7.0)
- security:
  o warn about missing signatures on packages from media without signatures
  o warn when a medium has no signature
  o warn when signature checking is disabled per medium

Version 7.3 - 24 August 2012

- only search for README.urpmi files in doc files (needs URPM >= 4.13)

Version 7.2 - 29 June 2012

- urpme: simplify traversing DB (needs URPM >= 4.10)

Version 7.1 - 13 June 2012

- adapt to URPM-4.2

Version 7.0 - 8 June 2012

- adapt to perl-5.16.0
- adapt to rpm-4.10.0
- enhance man pages caption (inspirated by mdv)
- fix testsuite regressions
- make 'basename' option work again for rpmdrake
- urpmi:
  o do not try to run gmessage as gtkdialogs is not packaged in Mga
  o drop support for --gui (no more used by drakx)
  o heavy refactorization
- urpmi.cfg:
  o support --download-all as an option (Pavel Shved)
- urpmf:
  o fix -m option not showing media names (mga#5916)

Version 6.48.1 - 23 April 2012

- urpmi:
  o do not print orphans message when no package is orphan (mga#4715)
- kill mdv reference in man pages (mga#5277)

Version 6.48 - 26 March 2012

- fix a debug message
- fix downloading twice noarch packages on x86_64 with --download-all (mga#4867)
- gurpmi:
  o install perl-{Glib,Gtk2} as priority upgrades prior to restart (mga#5066)
- updated translations

Version 6.47 - 19 March 2012

- bash completion:
  o bump available packages list speed (mga#373)
  o fix installed packages completion (mga#4937)
- urpmi:
  o fix column headers alignment to the columns values in package list

Version 6.46 - 5 March 2012

- explicitely close the RPM DB after each transaction
- fix circular dependency that defeats perl's GC
- warn if --allow-force, --allow-nodeps, --force or --keep is in use (mga#3127)

Version 6.45 - 27 February 2012

- urpmi:
  o downgrade from rpm-4.9 to 4.8 db when installing mga1 in a chroot from
    mga2+ (mga#4590)
  o fix urpmi failing silently and with exit status 0 when package
    installation fails due to either conflicts (mdv#63072) or to
    unselecting package (mdv#63940)
  o kill unused DUDF support (mga#4493)
  o return the proper error code in some cases when failing to install some
    packages
  o --test: do not display "More information on package"
  o --test: do not update /var/lib/rpm/installed-through-deps.list
- urpmi.addmedia:
  o fix $ARCH and $VERSION keyword substition in media URL
- urpmq:
  o non-zero exit code if .rpm file was not found (POK, mdv#64969)

Version 6.44 - 07 February 2012

- fix package count when using -a and when some packages exist in several
  repositories (eg: noarch packages) (mga#4322)
- translation updates

Version 6.43.1 - 23 January 2012

- do not test urpm::dudf
- kill a minor GC cycle

Version 6.43 - 6 January 2012

- urpmf, urpmq:
  o fix using xml info files with quotes in medium name
- urpmi
  o do not compute orphan packages when handling priority upgrades
  o disable dudf support (we've nothing server side)
  o fix checking available space of mount point (mga#1342)
  o fix reading unrequested packages list when chrooted
  o fix already installed noarch packages are listed twice on x86_64 (mga#4038)

Version 6.42 - 05 November 2011

- urpmi.addmedia:
  o do not pick rsync medium if rsync is not installed (mga#3557)
- urpmi.update:
  o document that -a only works on enabled media (mga#3190)

Version 6.41 - 14 October 2011

- add infrastructure for rpmdrake (#920)
- add infrastructure so that GUIes can offer not to ask anymore about missing
  or bad packages
- fix broken 'urpmi --no-md5sum' (pok, mga#62557)
- use rsync to download from rsync-mirrors (Alexander Barakin, mga#2518)

Version 6.40 - 07 May 2011

- compress sources with xz instead of bzip2
- fix (g)urpmi --auto-select --update defaulting to all media when
  there're no update media (#1024)

Version 6.39 - 21 November 2010

- install zeroconf documentation and example files.
- resurrect urpmi.recover now that the required functionality has been brought
  back with rpm5.

Version 6.38 - 18 June 2010

- add --zeroconf support in urpmi.addmedia

Version 6.37 - 28 May 2010
- urpmq
  o fix listing of groups when listing all packages (also fixes #59321)

Version 6.36 - 26 May 2010

- urpmq
  o allow to use -g with --list

Version 6.35 - 23 April 2010

- urpmi.addmedia:
  o disable non-free repository by default for Free edition (#40033)
-urpmi:
  o when using --update, allow package dependencies to be fetched from
    non-update media (#51268)
  o don't confuse media/media keys when a package is available from different
    media (eg CDROM/network)

Version 6.34 - 25 January 2010

- don't crash when parsing an invalid media.cfg file in
  /etc/urpmi/mediacfg.d
- fix being unable to run a second transaction set in rpmdrake (#54842)

Version 6.33 - 12 January 2010

- invalidate mirror list cache when it's an old format (ie one which does not 
  store the time of product.id)
- fix urpmq --sources documentation (in --help)
- do not advise to reboot when inside a chroot
- do not cache media.cfg from the media when using a virtual one (ie a
  medium for which we don't want to cache metadata)
- ignore gpg_pubkey packages in urpmq --not-available
- fix not being able to remove orphan kernels due to dkms packages (#53414)
- allow use of $RELEASE/$ARCH with urpmi.addmedia --distrib
- fix media redirection (was broken when trying to fix #52276)
- fix bash completion script (#55716)

Version 6.32 - 29 October 2009

- if package B obsoletes package A and if A is in potential orphans and B is
  already installed, don't unconditionally mark B as a potential orphan,
  fixes #54590
- make aria2 disabling work in all cases, should fix #53434 for good.

Version 6.31 - 21 October 2009

- don't use aria2 when loading mirrorlist from api.mandriva.com, fixes #53434
- add --not-available option to urpmq to get a list of packages that are
  installed but not available from any configured media (Pascal Terjan,
  fixes #51418)

Version 6.30.1 - 19 October 2009

- add --download-all option to gurpmi too

Version 6.30 - 16 October 2009

- unbreak kernel orphans management (broken by #53425 fix)
- improve messages asking to restart system/session (#53126)
- add --download-all option to download all packages before attempting
  to start installation
- fix priviledge escalation in rurpmi and rurpme (#54568)
- when the database is locked, print the PID of the processus locking it
 (#38923, Pascal Terjan)

Version 6.29 - 5 October 2009

- downgrade skipped package log message to debug message
- make sure we don't check certificate in aria2 except when we want to
- exclude kernel-source from orphan processing (#53426)
- do not list as orphans kernel packages which where not installed through
  dependencies (#53425)

Version 6.28.1 - 3 September 2009

- prevent creating empty "/url" (#53097)

Version 6.28 - 31 August 2009

- urpmi.addmedia:
  o use https when downloading the mirror list from api.mandriva.com, and 
- orphans handling
  o do not offer to remove current kernel (even if it's not a official
    kernel
  o offer to remove old kernels (excluding the running one)
    (also do not do anything regarding kernels if we failed to detect
    the running one (ie: chroot))

Version 6.27.1 - 18 August 2009

- make sure error messages are displayed (was broken as part of fix #50776)
- don't attempt to expand empty URLs, fixes bug #52860
- append a reason to api.mandriva.com queries when we are doing it because
  the cache is outdated

Version 6.27 - 13 August 2009

- prevent garbaging text installer screen (#50776)
- urpmq:
  o -a option was ignored when using --src (fixes #52672)
- urpmi.addmedia:
  o properly expand $RELEASE, $ARCH and $HOST in media URLs (fixes #52276)
  o add support for /etc/urpmi/mediacfg.d which stores the media.cfg files 
    for the media entries in urpmi.cfg

Version 6.26.1 - 31 July 2009

-urpmi
  o minor dudf fixes

Version 6.26 - 30 July 2009

- urpmi.addmedia:
  o properly invalidate mirror cache when the distro version changes 
    (ie when product.id changes). Fixes bug #52133, patch from
    Aurélien Lefebvre
- urpmi:
  o allow bash-completion to complete to .spec files as well
  o adjust parsing of aria2 output for aria2 1.4, fixes bug #51354
    (patch from Funda Wang)
  o use urpmi log API for the transaction failed message instead of
    printing it on the console so that installer can save each error
    with each transaction log instead of only having a summary at end
  o inform user when selected packages conflict instead of silently
    dropping one (Anssi Hannula)
  o add optionnal dudf module to send dudf data to the mancoosi
    research project (Olivier Rosello)

Version 6.25.5 - 23 April 2009

- gurpmi:
  o do not advise to restart in --auto mode
  o log bad signatures on stderr

Version 6.25.4 - 20 April 2009

- add NoDisplay=true to gurpmi.desktop

Version 6.25.3 - 18 April 2009

- fix gurpmi.desktop (#50047)

Version 6.25.2 - 15 April 2009

- translation updates

Version 6.25.1 - 31 March 2009

- prevent rpmdrake from crashing (#49354), side effect of #49226 fix

Version 6.25 - 31 March 2009

- downgrade cryptic log message to debug message, fixes #49226
- enable installer to cancel installation

Version 6.24 - 27 March 2009

- return error code when user aborts gurpmi/gurpmi2

Version 6.23 - 25 March 2009

- log user interactions to stdout in gurpmi2
- exit with non 0 error code when failing to add a media, fixes bug #47952
- when using urpme -a, properly report when no packages could be removed,
  fixes bug #48506
- return a non 0 error code when the user stops the install when an upgrade
  would remove some packages (because of dependencies issues)
- fix a circular reference that was causing rpmdb to be opened many
  times in installer

Version 6.22.4 - 9 March 2009

- change installer API (in order to fix detecting whether installing ackages
  succedded or not)

Version 6.22.3 - 5 March 2009

- urpmi
  o fix verifying packages signatures in chrooted environments (especially
    important for installer where there's no rpmdb in / (really /var/lib/rpm)
    and thus no keys to check against)

Version 6.22.2 - 4 March 2009

- close another fd leak (needed for drakx)

Version 6.22.1 - 4 March 2009

- explicitely close the RPM DB on comleting transaction (needed for drakx)

Version 6.22 - 3 March 2009

- drop support for /etc/urpmi/media.d/*.cfg
  (was partially broken, non documented and hopefully unused)
- add more callbacks for installer
- fix reading descriptions with --env=
- only load LDAP binding if needed (saves a couple MB in rpmdrake)
- gurpmi:
  o warn when rebooting is needed after installing packages

Version 6.21 - 13 January 2009

- drop urpmi.recover 
  (no more possible with rpm 4.6 which doesn't handle --repackage)

Version 6.20 - 13 January 2009

- urpmi
  o --auto: do not prompt for "retry" on aria2 download failure
    (regression introduced in 6.18)
  o add aria2 to the priority list of packages that need to be updated
    before restarting urpmi
  o fix issue with urpmi sometimes using the wrong key when checking 
    signatures when the same package is available from different media
  o remove packages from installed-through-deps.list when they are explicitly
    requested using urpmi (even if they were already installed) (#45054)
- urpmi_rpm-find-leaves
  o do not list suggested packages as unrequested packages (#46326)
- urpmq
  o fix urpmq -i on local RPMs

Version 6.19 - 24 November 2008

- urpmi
  o in --auto, do display an error message when rpms are missing
  o in --auto, do not allow to install a package substring match
    (you can use -a to force it)
  o revert --auto-update behaviour in case of media update failures (#45417)
  o ensure download when updating media (with --auto-update) is quiet
- urpmi.update
  o updated "ignore"d medium should not become non "ignore"d (#45457)
    (regression introduced in 6.18)

Version 6.18 - 28 October 2008

- urpmi, gurpmi
  o prompt for "retry" on aria2 download failure
  o retry once on aria2 versioned-file download failure
  o allow setting aria2-options in urpmi.cfg
- urpmi
  o fix "urpmi firefox mozilla-firefox-ext-google-toolbar ; 
    urpme --auto-orphans mozilla-firefox-ext-google-toolbar" which must not
    remove firefox (cf #45058)
    (this is especially bad for DrakX/rpmsrate)
  o fix --auto-update ignoring --media and default-media (#45097)
- gurpmi
  o display the download errors
  o log all urpmi logs
  o fix answering yes to questions on error
- urpmi.update
  o fix --force-key (#45094)
- urpmi.addmedia
  o do not allow "/" in media name (#44765)
- urpmi.update, urpmi.addmedia
  o exit on failing media instead of ignoring them
    (esp. for urpmi.addmedia --distrib).
    exceptions: "urpmi.update -a" and "urpmi.update --update" 
                for backward compatibility

Version 6.17 - 14 October 2008

- urpmi
  o diskspace issues are now a fatal error (need perl-URPM 3.20)
    (no use going on with the other transactions)
- gurpmi
  o add support for --clean
- urpmi.update, urpmi.addmedia, urpmi.removemedia:
  o do not check wether the media are valid, 
    it allows "mv /etc/urpmi/urpmi.cfg.{backup,} ; urpmi.update -a" to work
    (nb: not equivalent with urpmi.addmedia, since pubkey will not be imported)
- aria2:
  o do not use --max-file-not-found=3 when downloading rpms 
    (since rpms are "versioned")
  o use it even if nearest mirror is rsync
- library:
  o allow mdkapplet-upgrade-helper to force $MIRRORLIST distro version

Version 6.16 - 8 October 2008

- urpmi:
  o fix displaying "bad signature" in non-utf8 (#44587)
- gurpmi:
  o overall progress-bar, display the download speed, nicer looking
  o [bugfix for 6.15] re-allow to continue on bad signature

Version 6.15 - 7 October 2008

- urpmi, rpmdrake:
  o nice exit code for "bad signature" fatal error. Fixes rpmdrake continuing
    on bad signature (#44575)
- urpmi, gurpmi:
  o handle --replacefiles (will be used by mdkonline)
    (require perl-URPM 3.19)
- gurpmi:
  o do not exit in --auto mode at end of installation which prevents
    restarting after priority upgrade
  o fix using --rpm-root & --urpmi-root
  o just do not ask for confirmation before removing packages in
     --auto mode,

Version 6.14 - 23 September 2008

- use "versioned" media_info files
  (needed for aria2 to handle mirrors not having some media_info/*)
- urpmi.addmedia, urpmi.update:
  o for remote media, instead of first checking reconfig.urpmi, try MD5SUM. 
    If it fails try reconfig.urpmi
  o only look for "descriptions" in media_info/
  o do not get "descriptions" on non update media since it's useless and
    potentially slow
- urpmi.addmedia:
  o --distrib: do not skip "debug_for=" media
    (debug media will be added with flag "ignore" if noauto=1)
  o for remote media, do not probe for media_info files in "./", do it only in
    "media_info/"
- aria2:
  o use --ftp-pasv (as suggested by aria2 developer)
  o use --connect-timeout 6 seconds (instead of 3)

Version 6.13 - 18 September 2008

- aria2: 
  o use new option --connect-timeout (need aria2 20080918 snapshot)
  o abort download after not finding a file on 3 servers
  o reduce from 16 to 8 servers for each file in metalink

Version 6.12 - 17 September 2008, Pascal "Pixel" Rigaux

- when using --bug,
  o copy /root/.rpmdrake too
  o copy updates descriptions too

Version 6.11 - 11 September 2008, Pascal "Pixel" Rigaux

- library:
  o create urpm::select::conflicting_packages_msg() for rpmdrake

Version 6.10 - 9 September 2008, Thierry Vignaud

- library:
  o enable rpmdrake to support --debug, --env, -q & -v options
  o fix urpm::download::sync() return value (used by rpmdrake) (#43639)

Version 6.9 - 9 September 2008, Pascal "Pixel" Rigaux

- urpmi
  o after installing in chroot, migrate back rpmdb db version to one
    compatible with the rpm in the chroot
  o fix orphans handling: an already installed pkg must not become
    "unrequested" because a new version of it is required
- fix display of downloaded urls with aria2 and metalinks
- fix handling --downloader when using mirrorlist (it was forcing aria2)

Version 6.8 - 4 September 2008, Pascal "Pixel" Rigaux

- fix proxy parameter for aria2
- remove rsync mirrors when calling aria2
- urpmi
  o enhance --bug: copy installed-through-deps.list in bug report
- gurpmi, gurpmi2:
  o silence perl warnings (ie remove "use warnings")
- library:
  o modify urpm::download::get_content() to work as non-superuser

Version 6.7 - 3 September 2008, Pascal "Pixel" Rigaux

- really call aria2 with --max-tries=1
  (it helps a lot when trying to download some files (eg: reconfig.urpmi))

Version 6.6 - 2 September 2008, Pascal "Pixel" Rigaux

- call aria2 with brand-new --uri-selector=adaptive

Version 6.5 - 1 September 2008, Pascal "Pixel" Rigaux

- all tools
  o use metalink/aria2 by default (when available) when using a mirrorlist
- urpmi, urpmq
  o do not display all substring matches on stderr, only a subset of them, and
    suggest to use "-a" to use all matches (#38956)
- urpmi
  o do not write useless "foo (obsoletes foo-xxx)" in
    installed-through-deps.list (#42167)
- urpmi.addmedia
  o instead of discarding --update when using --distrib, give it a meaning:
    only add media flagged "update"
  o handle $URPMI_ADDMEDIA_REASON 
    (special reason to give to api.mandriva.com/mirrors/... to allow statistics)
- gurpmi2
  o nicer default window size
  o render nicely under matchbox during install
  o handle --update

Version 6.4 - 14 August 2008, Thierry Vignaud

- gurpmi
  o fix exit code if canceling when requested to select a choice
  o fix exit code if refusing to insert the proper media
  o notify callers when installation is canceled (#40358)

Version 6.3 - 14 August 2008, Thierry Vignaud

- gurpmi
  o better handle closing dialogs
  o fix not asking questions on error

Version 6.2 - 7 August 2008, Thierry Vignaud

- gurpmi
  o handle --justdb and --noscripts
  o fix/manage --urpmi-root
- urpme
  o add --justdb
  o sort the list of orphans

Version 6.1 - 10 July 2008, by Pascal "Pixel" Rigaux

- all tools
  o fix broken ssh:// (regression introduced in 6.0)
- urpmi, urpme, urpmq:
  o fix orphans handling: suggested packages must not be detected as orphans
- urpmi:
  o handle README.urpmi in utf8 (but not other encodings) (#41553)
  o handle --debug-librpm
  o fix --parallel on local media (ie when synthesis.cz is not copied to /var/lib/urpmi)
  o fix --parallel --auto-select when one box is up-to-date but not the others (#41924)
  o fix creation of chroot with --root by using /var/lib/rpm/installed-through-deps.list 
    (instead of having it in /var/lib/urpmi)
- urpmi.addmedia:
  o make --mirrorlist with no url equivalent to --mirrorlist '$MIRRORLIST' (#40283)
  o --interactive: fix selecting "noauto" media (#39522)
- urpmq:
  o --suggests now displays the suggested packages, see --allow-suggests for
    previous behaviour (#39726)
  o add --obsoletes
- urpme:
  o --test: display "Removal is possible" if no pb (#40584)

Version 6.0 - 8 July 2008, by Pascal "Pixel" Rigaux

- all tools:
  o handle "unrequested orphans" (similar to "deborphan")
  o statedir files are now in /var/lib/urpmi/<medium-name>/
      for eg: /var/lib/urpmi/synthesis.hdlist.<medium-name> is now
      /var/lib/urpmi/<medium-name>/synthesis.hdlist.cz
    it allows easier medium update without using urpmi.update (#31893)
    (but with --urpmi-root, old statedir files are used to allow compatibility
    with older urpmi)
  o fix handling --urpmi-root <relative dir>
- gurpmi:
  o do cancel when pressing the 'No' button (#41648)
- urpmi:
  o "missing file" and "bad rpms" errors are reported asap
    and are fatal errors unless the user wants to go on anyway (or --force)
  o display a message "Package foo is already installed" when asking 
    "urpmi foo bar" and only installing bar (#41593)
    (requires perl-URPM 3.18)
  o set connection timeout for rsync as well (Anssi)
  o fix --replacepkgs when a same package appears more than once in urpmi db
  o fix displaying "files are missing" (regression introduced in 5.6)
  o tell bash-completion urpmi handles file names (#41699) (guillomovitch)
- urpmi.addmedia, urpmi.update:
  o fix --no-md5sum (regression introduced in 5.20) (#41237)
- urpme:
  o indent the packages to be removed
  o enhance error message "Removing the following package will break your system"

Version 5.20 - 2 June 2008, by Pascal "Pixel" Rigaux

- urpmi:
  o --auto-update should behave like urpmi.update when mirrorlist is outdated
    (cf http://forum.mandriva.com/viewtopic.php?t=86837)
  o fix --replacepkgs when a package appears more than once in urpmi db (#40893)
    (need perl-URPM 3.14)
- urpmi.addmedia:
  o add missing mark in "Do you want to add media '%s'?" message (from Nikos)
- urpmi.addmedia, urpmi.update:
  o fix checking synthesis MD5SUM
  o check downloaded synthesis/MD5SUM is not invalid HTML code, and try
    another mirror from mirrorlist (#39918)
    (useful for servers not returning a valid HTTP error)

Version 5.19 - 3 April 2008, by Pascal "Pixel" Rigaux

- urpmq:
  o --suggests is currently misleading, introduce --allow-suggests and explain
    the user that --suggests really means --allow-suggests (#39726)

Version 5.18 - 1 April 2008, by Pascal "Pixel" Rigaux

- urpmi.addmedia, urpmi.update:
  o correctly handle media with no xml-info when using "xml-info: always"
    (#39521)
- urpmi.addmedia:
  o --mirrorlist: if the retrieved media.cfg is broken, try another mirror
    (#39591, it also workarounds #39592)
- urpmf:
  o check usage of -a, -! and the like instead of displaying the ugly
    "Internal error: syntax error ..."
  o in some cases (iso on disk), the hdlist is not available in
    media/xxx/media_info/, but we can use the statedir copy. So use it

Version 5.17 - 28 March 2008, by Pascal "Pixel" Rigaux

- urpmi:
  o nice error message when hal daemon is not running and is needed (#39327)
- urpmq:
  o do not use rpms on removable cdrom media (#39396)
- urpmf, urpmq:
  o display an error message when /etc/urpmi/proxy.cfg can't be read
- urpmi.update, urpmi.addmedia:
  o do not restrict read on /etc/urpmi/proxy.cfg if it doesn't contain
    passwords (#39434)

Version 5.16 - 25 March 2008, by Pascal "Pixel" Rigaux

- urpmi:
  o fix getting rpms from different media on same DVD
  o handle displaying utf8 download progression in non-utf8 terminal
    (ie clean the full line when we can't be sure of the number of characters
    that will be displayed)
- urpmq:
  o fix --list -r (#39287) (regression introduced in 5.7)
- bash-completion (guillomovitch):
  o don't complete on available packages if completed item is clearly a file
  o only select available packages for selected medias
  o fix rurpmi completion

Version 5.15 - 18 March 2008, by Pascal "Pixel" Rigaux

- urpmi.addmedia, urpmi.update:
  o urpmi.addmedia --mirrorlist handles a list of mirrors/mirrorlist:
    you can specify a mirror to use inside a local network, but it will
    default to standard mirrors when the local mirror is not available.

Version 5.14 - 17 March 2008, by Pascal "Pixel" Rigaux

- urpmi:
  o tell the user to "restart system" when it is needed
  o nicer error message when database is locked (#38923)

Version 5.13 - 17 March 2008, by Pascal "Pixel" Rigaux

- gurpmi:
  o handle provides (spotted by salem)
  o handle -p and -P like urpmi
- urpmi:
  o never suggest --install-src for spec file (#38876)
  o do not allow "urpmi --install-src foo.spec"

Version 5.12 - 11 March 2008, by Thierry Vignaud

- gurpmi:
  o ensure rpm error message are always in UTF-8
  o ensure urpmi messages are always in UTF-8
  o handle --force
  o return 1 like urpmi if package doesn't exist
  o return urpmi error code
  o translate usage

Version 5.11 - 11 March 2008, by Pascal "Pixel" Rigaux

- gurpmi:
  o fix breakage introduced with priority upgrades support (#38738) (tvignaud)
- bash-completion:
  o restore available-pkgs completion using "urpmq --list" by default
    (it needed COMP_URPMI_HDLISTS to be set, but it should be fast enough now)
- urpmi:
  o have a nicer error message when perl-Hal-Cdroms is missing (#38778)
  o do handle suggests in priority upgrades (#38778)

Version 5.9 - 7 March 2008, by Thierry Vignaud

- modify infrastructure so that rpmdrake doesn't select all updates by
  default (#38611)

Version 5.8.1 - 6 March 2008, by Thierry Vignaud

- add infrastructure so that rpmdrake doesn't select all updates by
  default (#38611)

Version 5.8 - 5 March 2008, by Thierry Vignaud

- add infrastructure so that gurpmi & rpmdrake can handle priority
  upgrade list
- add callbacks so that rpmdrake can reuse more urpmi code
- gurpmi:
  o handle priority upgrade list
- urpmi:
  o do not pretend removing packages from cache when there's nothing
    to remove

Version 5.7 - 3 March 2008, by Pascal "Pixel" Rigaux

- all tools:
  o cdrom:// replaces removable://
  o use hal to wait-for/mount cdroms: 
    you can now use more than one cdrom drive (#37363)
  o fix download progression using wget
  o restore generation of /var/lib/urpmi/names.<medium>, but it is now done in
    urpmq/urpmi/urpmf (and so only if used as root)
- gurpmi:
  o exit immediately on success in automatic mode
  o fix --auto-select option
  o fix --root option
  o give the focus to buttons (Emmanuel Blindauer, #38047)
  o handle --allow-medium-change (needed for drakxtools)
  o handle --expect-install (needed for drakxtools)
  o handle --test
  o reuse common shared code of urpmi
- urpmf, urpmq:
  o never display raw downloader output, otherwise output is very messy (#38125)
  o do not try to download xml-info if it's not available (#38125)
- urpmi.addmedia:
  o fix --distrib for cdroms (#30613)
- urpmi:
  o fix --expect-install (broken since 4.9.30!)
  o fix using proxy with curl (#38143)
  o do not copy rpms from cdrom if only one cdrom is used (#28083)
- urpmf:
  o fix searching for more than one pattern (#38286)
- urpmq:
  o --list: speed it up (2.5x faster, and 6x faster with names.<medium>)

Version 5.6 - 26 February 2008, by Pascal "Pixel" Rigaux

- urpmq:
  o add --conflicts
  o --requires now display the raw requires, use --requires-recursive to get
    the old behaviour (#29176)
  o make "urpmq --list xxx" display "use -l to list files" and exit on error
- urpmf:
  o fix mirrorlist handling
  o fix fallback on hdlist when xml-info not found
- urpmi, urpmi.addmedia, urpmi.update:
  o have fatal errors on some errors that must not happen (eg: moving rpm from
    download dir to cachedir)
  o handle variables $ARCH/$RELEASE in mirrorlist
- urpmi:
  o display "%s of packages will be retrieved."
    (need perl-URPM 3.10 and synthesis built with @filesize@)
  o do not say "files are missing" when the downloaded rpm is corrupted
  o --test: only display "Installation is possible" when it is the case (#29837)
  o fix "using one big transaction" that occurs when using --keep 
    (#30198) (part of the fix is in perl-URPM 3.09)
- bash-completion:
  o restore available-pkgs completion using "urpmq --list" (guillomovitch)
    (but only if COMP_URPMI_HDLISTS is set since it's slow)

Version 5.5 - 23 February 2008, by Pascal "Pixel" Rigaux

- all tools:
  o handle mirrorlist 
    (need perl-Zone-TimeInfo patched for geolocalisation)
- urpmf
  o fallback on hdlist when xml-info not found (useful for old distribs)
- urpmi handles /etc/urpmi/media.d/*.cfg
  as an alternative to using urpmi.addmedia
- urpmi.update, urpmi.addmedia:
  o handle --virtual for remote media
    (a better name would be "auto-update") (a la yum)
  o do not parse synthesis (relying on MD5SUM for corruption detection)
  o drop /var/lib/urpmi/names.<medium> (was used by bash-completion)
- urpmi.addmedia
  o don't fail on remaining statedir files (#36267)
    (especially useful when using media.d/*.cfg)

Version 5.4 - 5 February 2008, by Pascal "Pixel" Rigaux

- bug fix release
- urpmi, urpme, urpmq, urpmf:
  o fix --use-distrib

Version 5.3 - 4 February 2008, by Pascal "Pixel" Rigaux

- urpmi.cfg:
  o "media_info_dir: media_info" is the default
  o "no-media-info" is used for media for which media_info must be built from
    rpms
- urpme, urpmi:
  o add basesystem-minimal to prohibit-remove
- urpme:
  o enhance pkg list formatting for "The following packages contain %s: %s"
    error message (#29178)
- urpmf:
  o fix --synthesis (it may break urpmq/urpmi --synthesis)
- urpmq:
  o add --no-suggests
- library:
  o since any_xml_info can be slow, add a "callback" option (#37264)

Version 5.2 - 18 January 2008, by Pascal "Pixel" Rigaux

- urpmi:
  o --buildrequires deprecate --src, --src is kept for compatibility but its
    behaviour is changed a little (it doesn't download src.rpm anymore)
  o --install-src as user now works for remote medium
  o --install-src will remove succesfully installed src.rpm from
    /var/cache/urpmi/rpms/* (unless post-clean is 0)
- urpmf:
  o add special code for --files simple case, it makes urpmf 3x faster for
    this often used case
  o display a warning when searching "xxx(yyy)" since it is handled as a
    regexp and so the parentheses are useless. suggest using --literal
- urpmq:
  o add --provides
  o fix option -a : display packages of all compatible archs (#36942)
- all tools:
  o deprecate --curl and --wget in favor of --downloader curl 
    and --downloader --wget
  o fix displaying error message when failing to lock (regression in 5.1)

Version 5.1 - 16 January 2008, by Pascal "Pixel" Rigaux

- urpmf, urpmq:
  o fix using xml info files with spaces in medium name
- urpmf:
  o fix --license
- urpmq:
  o add --sourcerpm
  o deprecate "urpmq --requires", "urpmq -R" and "urpmq -RR"
  o fix --list (regression introduced in 5.0) (#36742)

Version 5.0 - 11 January 2008, by Pascal "Pixel" Rigaux

- urpmf, urpmq:
  o use xml info instead of hdlist when possible
    o "urpmq -l" is faster (3x)
    o "urpmf -l" is slower (1.5x)
    o "urpmf --sourcerpm" is much faster
    o see "xml-info" option in urpmi.cfg(5) to see when those files are downloaded
    o new require: perl module XML::LibXML
- urpmq:
  o use rpm file instead of hdlist/xml-info when file is local
  o use URPM::Package->changelogs (need perl-URPM 3.06)
- urpmf
  o fix an *old* bug (since december 2002) making urpmf keeps parsed
    hdlist files in memory (was fixed for multitags, but not for simple tags)
- all tools:
  o replace /var/lib/urpmi/MD5SUM with /var/lib/urpmi/MD5SUM.<medium_name>
    (this will allow checking xml media_info is up-to-date even if we don't
    update it at the same time as synthesis is updated)
- urpmi.update, urpmi.addmedia, urpmi.removemedia:
  o drop hdlist support replaced with xml media_info
    (this imply file-deps are correctly handled, see genhdlist2(1))
  o drop option "-c" which used to clean /var/cache/urpmi/headers
  o enhancement: only parse updated synthesis
- urpmi.addmedia
  o do check md5sum of downloaded synthesis
    (the check was only done on urpmi.update)
  o new --xml-info option
- urpmi:
  o do remove __db* on priority-upgrade
    (fix regression introduced in 4.10.15)
  o always prompt before doing a priority-upgrade transaction, even if there
    is only one priority upgrade package (since there will be more packages to
    install after restarting urpmi)

Version 4.10.19 - 12 December 2007, by Pascal "Pixel" Rigaux

- urpmi:
  o fix handling "post-clean: 0" in urpmi.cfg 
    (#36082, regression introduced in 4.10.16)
- library:
  o urpm::media::read_config() doesn't read urpmi.cfg global options anymore,
    use urpm->get_global_options or urpm->new_parse_cmdline

Version 4.10.18 - 11 December 2007, by Pascal "Pixel" Rigaux

- urpmi:
  o handle --suggests (to override urpmi.cfg global option "no-suggests")
- urpmi.update:
  o exit code 1 when a (selected) medium can't be updated (#35952)
  o leave early with error if no medium were successfull updated
- drop translated man pages (they are too old)
- urpmi.addmedia:
  o exit code 1 when a medium can't be added
  o enhance parsing of urls with login:password for logins with "@"
    so that password doesn't end up in urpmi.cfg
  o adapt to perl-URPM 3.00 API to parse pubkey files
    (nb: $urpm->{keys} is not used anymore)

Version 4.10.17 - 30 November 2007, by Pascal "Pixel" Rigaux

- urpmi:
  o fix regression introduced in 4.10.15:
    "urpmi --force valid invalid" should warn about "invalid" but still
    install "valid"

Version 4.10.16 - 28 November 2007, by Pascal "Pixel" Rigaux

- urpmi:
  o small transactions should have at least 8 packages 
    (ie --split-length is now 8 by default)
  o do not do a big transaction if installing less than 20 packages
    (ie --split-level is now 1 by default)
- urpmq:
  o new option --requires-recursive (alias of option -d)
  o bugfix previous release: "urpmq --fuzzy foo" should display all "*foo*" matches

Version 4.10.15 - 26 November 2007, by Pascal "Pixel" Rigaux

- all tools:
  o exit with code 1 after displaying usage (instead of exit code 0)
- urpmi:
  o with rsync, use --copy-links (to have the same behaviour as http/ftp, and
    so allow symlinks on the server)
  o fix "urpmi --install-src" (regression introduced in 4.10.9) (#35164)
  o fix --limit-rate (regression introduced in 4.9.12)
  o --auto-update is quite unsafe, but at least now it should be cleaner
    (ensure $urpm doesn't have media twice) (#36134)

Version 4.10.14 - 4 October 2007, by Pascal "Pixel" Rigaux

- library:
  o urpm::media::add_distrib_media: add option "only_updates" for rpmdrake

Version 4.10.13 - 3 October 2007, by Pascal "Pixel" Rigaux

- urpmi
  o remove prefix/var/lib/rpm/__db* after installing pkgs rooted

Version 4.10.12 - 27 September 2007, by Pascal "Pixel" Rigaux

- urpm::media::update_media:
  o ensure a second pass is done even if media has not been modified
    (useful for the %trigger trick done in urpmi to rebuild synthesis with
    suggests)
- urpmf
  o fix -a and -o

Version 4.10.11 - 24 September 2007, by Pascal "Pixel" Rigaux

- create /var/tmp in chroots too
- fixed nb.po

Version 4.10.10 - 17 September 2007, by Pascal "Pixel" Rigaux

- fix using already downloaded rpms (from /var/cache/urpmi/rpms) (#33655)
- improve retrieving update descriptions API

Version 4.10.9 - 13 September 2007, by Pascal "Pixel" Rigaux

- urpmi, urpme
  o default to selecting all the prefered packages according to installed
    locales (need perl-URPM 2.00 to work)
  o do not prompt questions if not waiting for user answer
    (for urpmi --force or urpme --force)
- urpmf
  o fix --synthesis

Version 4.10.8 - 10 September 2007, by Pascal "Pixel" Rigaux

- urpmi
  o enhance "columns" display of packages to install (esp. fit on 80 columns)
  o do not use netrc for protocol ssh

Version 4.10.7 - 6 September 2007, by Pascal "Pixel" Rigaux

- urpmi
  o fix rpmdb locking with --root
  o handle --searchmedia <media1>,...,<mediaN>
  o do auto upgrade mandriva kernels (ie remove kernel*-latest to skip.list)
  o display size that will be installed - removed with a nice message (#32022)
  o display packages which are going to installed with name-version-release
    info in columns
- urpmi, urpme
  o use best unit (KB, MB...) to display size will be installed - removed

Version 4.10.6 - 28 August 2007, by Pascal "Pixel" Rigaux

- urpmi
  o fix --bug when there is no /etc/urpmi/prefer.list file
  o new option --justdb (new perl-URPM 1.76)
  o do not verify signature of .spec files (#32824)
  o handle changes in priority-upgrade list between old and new urpmi (#32925)
- urpmf
  o display "usage" when no <pattern-expression> is given (#32658)

Version 4.10.5 - 14 August 2007, by Pascal "Pixel" Rigaux

- urpmi
  o keep_all_tags for now to avoid rpm saying file conflicts when the content
    is the same
  o restart after upgrading 'meta-task' because of /etc/urpmi/prefer.vendor.list

Version 4.10.4 - 13 August 2007, by Pascal "Pixel" Rigaux

- urpmi
  o bugfix 4.10.0: a circular reference was causing rpmdb to be opened many times
  o --urpmi-root: if <root>/etc/urpmi/*.list are available, use them.
    otherwise defaults to /etc/urpmi/*.list

Version 4.10.3 - 13 August 2007, by Thierry Vignaud

- urpmi
  o do not default to --nolock when using --root (reverting rafael
    commit on 2006-01-11 13:17)
  o do try to umount removable media when using --nolock (fixing
    rafel's commit r15048 on 2005-06-09)
  o try harder to explain why a package is removed
  o try harder to explain why we cannot select a package (eg: because
    i586 package is already installed on x86_64)

Version 4.10.2 - 13 August 2007, by Thierry Vignaud

- gurpmi:
  o reuse common shared code of urpmi/rpmdrake
  o umount removable media as soon as possible
  o unlock RPM & URPMI dbs locks as soon as possible like rpmdrake
- urpmi
  o when using --urpmi-root, load <root>/etc/rpm/macros
  o enable GUIes to display already installed & not installable RPMs
  o enable GUIes to display uninstallations
- urpmi.cfg
  o really add global option no-suggests

Version 4.10.1 - 12 August 2007, by Pascal "Pixel" Rigaux

- library
  o urpm::select: new function get_preferred() replacing sort_choices()
    (for drakx)

Version 4.10.0 - 11 August 2007, by Pascal "Pixel" Rigaux

- new major release (motivation: urpmi has many new features)
- urpmi
  o new option --replacepkgs (same as rpm --replacepkgs) (#16112)
    (need perl-URPM 1.73)
  o fix --quiet (regression introduced in 4.9.28)
  o handle preferred choices (through --prefer, /etc/urpmi/prefer.list
    and /etc/urpmi/prefer.vendor.list)
- all tools
  o new option --wait-lock (#13025)

Version 4.9.30 - 10 August 2007, by Pascal "Pixel" Rigaux

- urpmi (thanks to Thierry Vignaud)
  o move some code to new module urpm::main_loop to share it with rpmdrake

Version 4.9.29 - 9 August 2007, by Pascal "Pixel" Rigaux

- urpmi
  o explicit error when using "urpmi ---install-src" as user with remote media
  o add support for "suggests": a newly suggested package is installed as if
    required, but one can remove it afterwards, or use --no-suggests
    (need perl-URPM 1.69)
- urpmf
  o handle --suggests

Version 4.9.28 - 3 August 2007, by Pascal "Pixel" Rigaux

- urpmi
  o handle README.<version>.upgrade.urpmi and
    README.<version>-<release>.upgrade.urpmi: the content is displayed 
    when upgrading from rpm older than <version> (#30187)
    (need perl-URPM 1.68)
- urpmf
  o handle --license
- urpmi.update
  o handle -q option (#31890)
- urpmq
  o --whatrequires: fix skipping packages through provides provided by other
    packages, when the other package is the same pkg name (#31773)
- library
  o urpm::install: export %readmes so that rpmdrake can access it

Version 4.9.27 - 18 June 2007, by Pascal "Pixel" Rigaux

- urpmi.addmedia --distrib, urpmi/urpme/urpmf/urpmq --use-distrib 
  o media.cfg per media field hdlist=hdlist_xxx.cz is not used anymore,
    xxx/media_info/hdlist.cz is used instead. To get previous behaviour, use
    option --use-copied-hdlist or use_copied_hdlist=1 in media.cfg
- urpmi
  o for long package names, ensure progression of installation (####...) is
    still properly indented (#28639)
- urpmi.addmedia
  o fix reconfig.urpmi use
- urpmi.update
  o only copy previous hdlist in cache dir for rsync, don't do it for wget/curl
    (it's useless and potentially dangerous when used with "resume")
- urpmf
  o bug fix -m (#31452)
- all tools
  o 4.9.26 is broken when downloading with wget since it creates hdlist.cz.1
    files. fixing using --force-clobber option (! need a patched wget !)
  o hide rsync errors by default to hide false positives,
    but allow getting them with --debug

Version 4.9.26 - 14 June 2007, by Pascal "Pixel" Rigaux

- urpmf
  o add option --use-distrib
- urpmq
  o allow using --use-distrib as non-root
- all tools
  o don't use time-stamping when downloading with wget
    (useless and slow since it forces to download the whole directory listing)
    (as suggested by Andrey Borzenkov on cooker)

Version 4.9.25 - 8 June 2007, by Pascal "Pixel" Rigaux

- all tools
  o --debug now implies --verbose
- urpmi.addmedia
  o [bugfix] fix using "with synthesis.hdlist.cz" (#31081)
  o don't overwrite existing urpmi.cfg with an empty file 
    when disk is full (#30945)
- urpmi
  o prefer best architecture over exact name 
    (eg: urpmi libfoo-devel prefers lib64foo-devel over libfoo-devel)
  o [bugfix] fix urpmi --parallel (#30996)
  o [bugfix] fix plural handling in "Packages foo can not be installed" (#31229)
  o fix "Argument list too long" when calling curl/wget/proz
    (things should work even in case of one big transaction) (#30848)
- urpmf
  o fix an *old* bug (since december 2002) making urpmf keeps parsed hdlist
    files in memory 

Version 4.9.24 - 9 May 2007, by Pascal "Pixel" Rigaux

- urpmi
  o display "removing package ..." when removing an obsolete or conflicting
    package (need perl-URPM 1.63), and not before
  o in verbose mode, display "removing upgraded package ..."
    (should make it more understandable by users)
- urpmi.addmedia
  o [bugfix] fix removable://... (#30257)
  o [bugfix] look for media/$media_dir/media_info/pubkey instead of
    media/$media_dir/pubkey
  o [bugfix] with --distrib, don't use previous media's pubkey if a pubkey is
    missing (eg: use pubkey_main for media "Main Updates" when
    pubkey_main_updates is missing)

Version 4.9.23 - 3 May 2007, by Pascal "Pixel" Rigaux

- urpmi
  o always upgrade (-U) packages instead of installing (-i) them,
    except for inst.list packages. This change is needed to fix
    "b--obsoletes-->a and c--conflicts-->a prompting for upgrading a"
    in perl-URPM 1.61
  o fix displaying README.*urpmi when using --root or --urpmi-root
  o fix displaying README.install.urpmi when installing a package conflicting
    with an available package
  o display "removing package ..." when removing, not before.
  o display "removing package ..." when upgrading package
    (may be too verbose though)
  o display "In order to satisfy the '%s' dependency, one of the following
    packages is needed:" so that user can understand what dependency is used
    (need perl-URPM 1.62)
- for rpmdrake
  o make translate_why_removed() safe to call (cf bug #28613)

Version 4.9.21 - 27 March 2007, by Pascal "Pixel" Rigaux

- urpmi
  o add kernel-source-latest to skip.list 
    (to be coherent with other kernel*latest) (#29933)
- urpmi.addmedia
  o do display download progression by default (be coherent with other tools),
    use -q to hide it
- urpmi.update
  o do not display download progression with -q

Version 4.9.20 - 15 March 2007, by Pascal "Pixel" Rigaux

- all tools
  o be failsafe when module encoding is not there 
    (ie when only perl-base is installed) (#29387)
- gurpmi:
  o fix displaying size of packages
  o fix displaying only the first package in "you're about to..." dialog
  o prevent downloading/installing dialog from resizing
- urpmi-parallel-ka-run:
  o fix parsing the output of rshp2 (only rshp output was successfully parsed)

Version 4.9.19 - 8 March 2007, by Pascal "Pixel" Rigaux

- urpmi
  o fix priority-upgrade broken on some x86_64 (#29125)
    (bug introduced in urpmi 4.9.11)
- gurpmi
  o use same translation routines as urpmi, fixing various encoding issues (#29248)
- urpmq
  o remove duplicated warning for "urpmq -l" when a rpm header is missing (#29174)

Version 4.9.17 - 6 March 2007, by Pascal "Pixel" Rigaux

- urpmq
  o add --whatprovides (doing same as -p) (#29175)
- urpmi
  o don't auto upgrade mandriva kernels (ie add kernel*-latest to skip.list)
  o add perl-MDV-Distribconf to priority upgrade packages
  o display translated summaries

Version 4.9.16 - 2 March 2007, by Pascal "Pixel" Rigaux

- urpmi
  o fix crash asking for medium
- urpmf
  o do not display invalid error at the end when using removable media (#28905)
- urpmq
  o --whatrequires-recursive: fix debug message explaining why a package
    is added, and enhance the verbose message explaining why some package are
    skipped

Version 4.9.15 - 6 February 2007, by Pascal "Pixel" Rigaux

- urpmi.update
  o add --probe-rpms to replace -f -f
  o -f -f should be allowed (#28500)
- urpmq
  o --whatrequires will now handle virtual package requires
    (eg: bash is now returned by "urpmq --whatrequires glibc")
    (#28367)
- german translation
  o don't use non iso-8859-15 chars otherwise perl segfaults (#28537)
    (perl bug #41442)

Version 4.9.14 - 25 January 2007, by Pascal "Pixel" Rigaux

- urpmi
  o fix encoding issue with "--bug ..." introduced in previous version (#28387)
- urpmi, ...
  o workaround no locale (eg: LC_ALL=C): when encoding is "ascii", 
    do not try to convert strings to this encoding, any encoding will do
    (#28367)
- urpmq
  o rename option -R into --whatrequires
  o rename option -RR into --whatrequires-recursive,
    and don't go through virtual packages which are provided by another
    package, eg: "skipping package(s) required by db1-devel via devel(libdb),
    since that virtual package is provided by libdb2-devel"
    (#27814)
  o do not document option -P (which is the default)

Version 4.9.13 - 19 January 2007, by Pascal "Pixel" Rigaux

- urpmi, ...
  o fix encoding/codeset mess (using the magical
  Locale::gettext::bind_textdomain_codeset(..., "UTF-8") from new
  perl-Locale-gettext)
  o fix translating rpmlib messages (using URPM::bind_rpm_textdomain_codeset())
- gurpmi2
  o do display installation failed on file conflicts (#22131)
- urpmi.addmedia
  o do not display in clear text the password (when using -v or --debug)
- urpmq
  o when using synthesis do not download packages to get information.
    before this modification, it was downloaded iff one medium was using hdlist (#16772)
  o when using synthesis fix using local rpms to get information
    before this modification, local rpm was used iff one medium was using hdlist
  o display a warning about no hdlist only for needed media, 
    adapt the warning to the option (for "-i", synthesis can still help),
    and tell which rpms and impacted

Version 4.9.12 - 10 January 2007, by Pascal "Pixel" Rigaux

- urpmi
  o fix handling removable media (bug introduced in 4.9.x) (#27854)
  o with "-v", display the package file copied to disk
  o use P (ie ngettext) to handle plurals
  o re-allow "urpmi --clean" with no arguments 
    (broken on january 2006, commit r36390) (#27747)
  o be more verbose with "-v"
- urpmi, urpmq, urpmf
  o "--media foo" and "--searchmedia foo" use medium "foo" 
    even if "foo" is flagged "ignore" (#27745)
- urpmi.addmedia
  o new option "--probe-rpms" which replaces "-f -f"
  o fix using dir "/foo/bar boo" and no hdlist (using *.rpm)
  o when using "--distrib <url>", have "xxx" instead of "xxx1" 
    for the medium name (eg: "Main" instead of "Main1")
  o when using --distrib, add noauto media with flag ignore 
    so that someone can easily use them by removing ignore
    (nb: debug_for and srpm media are not added though)
    (cf bug #28050)

Version 4.9.11 - 12 December 2006, by Pascal "Pixel" Rigaux

- urpmi
  o when "urpmi --auto-select" needs to restart urpmi because of a
    priority-upgrade, ensure it doesn't prompt an unneeded choice before
    restarting (#27527)
    (nb: the problem can still occur on "urpmi rpmdrake")
- urpmi.removedia
  o "urpmi.removedia -a" when urpmi.cfg has no entry still warn the user, 
     but exits with status 0

Version 4.9.10 - 7 December 2006, by Pascal "Pixel" Rigaux

- urpmi.addmedia
  o fix using "--virtual --distrib ..."

Version 4.9.9 - 6 December 2006, by Pascal "Pixel" Rigaux

- urpmi
  o fix "rpmdb: environment reference count went negative" 
    when syslog service is down
  o fix having more than "hdlist" flag in urpmi.cfg
- gurpmi2 (and rpmdrake)
  o fix crash when syslog service is down (#26256)

Version 4.9.8 - 6 December 2006, by Pascal "Pixel" Rigaux

- urpmi.addmedia, urpmi
  o use "hdlist" just like "synthesis" when forcing only hdlist usage
  o "hdlist" is valid with "virtual"
- urpmi
  o don't say "Package foo-1.1 already installed"
    when in fact it is "Package foo-1.2 already installed". 
    Still display "Package foo-1.1 can not be installed" until we can do
    better (#27176)
- gurpmi (tvignaud)
  o don't ignore exceptions in callbacks
  o fix crash and really lock the urpm db

Version 4.9.7 - 4 December 2006, by Pascal "Pixel" Rigaux

- bug fix release
- urpmi.addmedia
  o fix --probe-hdlist
  o fix "... with hdlist.cz" (only "... with synthesis.hdlist.cz" was working)
- urpmi
  o add the long version of -q/-v (ie --quiet/--verbose)
  o --quiet is really quiet (#14538)

Version 4.9.6 - 31 November 2006, by Pascal "Pixel" Rigaux

- bug fix release
- urpmf:
  o handle --urpmi-root
- urpmi.addmedia:
  o fix downloading synthesis which is done twice when remote
  o fix downloading pubkey in media_info/

Version 4.9.5 - 30 November 2006, by Pascal "Pixel" Rigaux

- all tools:
  o new option --urpmi-root that is similar to --root but also use rooted 
    urpmi db
- urpmi:
  o handle buggy "list: xxx" in urpmi.cfg (when the list can't be found)
  o handle no "synthesis" together with "with_hdlist: synthesis.hdlist.cz"
- urpmi.cfg:
  o new per-medium field "media_info_dir:" which replaces "with_hdlist:" in
    most cases. It allows using either hdlist & synthesis when nor
    "hdlist:" nor "synthesis" is set (#16232)
- urpmi.update:
  o not so verbose by default, only display 
    'medium "foo" is up-to-date' or 'medium "foo" updated'
- urpmi.removemedia:
  o not so verbose by default, only display 'removing medium "foo"'
  o do not allow both "-a" and <name>, fix usage
- urpmi.addmedia:
  o not so verbose by default, only display 'adding medium "foo"'
  o do not add "hdlist: hdlist.<name>.cz" lines in urpmi.cfg,
    compute it from <name> (one can still enforce a file name)
  o do not default to --probe-synthesis but use both hdlist/synthesis

Version 4.9.4 - 24 November 2006, by Pascal "Pixel" Rigaux

- urpmi.addmedia:
  o fix random ordering of media (using --distrib on a non-remote medium)
  o now inserting non-remote medium after first non-remote medium
    (instead of adding it as first medium)
- urpmi, urpme, urpmq:
  o add option --probe-synthesis (allowed with --use-distrib)

Version 4.9.3 - 24 November 2006, by Pascal "Pixel" Rigaux

- bug fix release:
- fix handling multiple virtual hdlist files
  (the second pass was not done...)

Version 4.9.2 - 24 November 2006, by Pascal "Pixel" Rigaux

- bug fix release:
- /foo/@86875:bar.src.rpm is not a url with protocol /foo/@86875
- /foo/chroot_tmp/... is not a url with protocol /foo/chroot

Version 4.9.1 - 23 November 2006, by Pascal "Pixel" Rigaux

- cleanup locks handling, log locking, and don't say "urpmi database locked"
  when it's the rpm database that is locked
- urpmi:
  o add --nokeep (which overrides urpmi.cfg global option "keep")

Version 4.9.0 - 22 November 2006, by Pascal "Pixel" Rigaux

- urpmi:
  o don't fork on multiple transactions
  o fix buggy print "::logger_id::" (#27026)
- gurpmi2 (tvignaud): 
  o fix unvisible content
  o prevent a dialog to have a height of several scores of thousands pixels
  o add support of --root
- urpmi.update:
  o don't write urpmi.cfg unless really needed
  o don't write md5sum in urpmi.cfg (bugfix)
- urpmi.addmedia:
  o drop support for "list" file
    (now you must have a hdlist/synthesis on remote server)
  o drop support for searching recursively rpms when there is no
    hdlist/synthesis. Only search in given directory (ie $url/*.rpm)
  o do not use list.<media_name> to store passwords, use /etc/urpmi/netrc
    instead. Also do have the url in urpmi.cfg, only the password is removed
  o change the format of list.<media_name>, it contains only rpm files
    relative to the medium url
  o deprecate "... with <relative hdlist/synthesis>". It is not useful anymore
    (nb: if you want to force using hdlist or synthesis, use --probe-hdlist or
    --probe-synthesis)
  o don't write urpmi.cfg twice
  o do not look for hdlist/synthesis in ../media_info/hdlist$suffix.cz (nb:
    with media.cfg, it will still use hdlist from media/media_info/, but it
    will simply use the hdlist$suffix.cz given by media.cfg )
  o --norebuild is by default (and deprecated): when the local
    hdlist/synthesis is buggy, do not discard it and go searching for *.rpm.
    Make it an error instead
  o fix building synthesis when using *.rpm (ie no hdlist/synthesis)
- urpmi.removemedia: much faster (since it doesn't parse hdlist/synthesis anymore)
- handle "empty" hdlist/synthesis
- generate names.<media_name> only when the medium is created/updated
- major splitting of urpm.pm in many modules
- major splitting of functions in smaller functions
  (eg: update_media was 988 lines long, has been splitted in functions shorter
  than 105 lines)
- big code cleanup/rework
- perl_checker compliance (very useful for such big code rework)

* Thu Sep 21 2006 rafael

Fix a bug in urpmi.addmedia for removable media

* Wed Sep 20 2006 rafael

. Hack to minimize file descriptor leak when upgrading from 2006
. Don't read ~/.curlrc (Nicolas Melay)
. Don't ignore other media when using --auto-update

* Wed Sep 13 2006 rafael

Fix bug in handling updates_for keyword in media.cfg

* Tue Sep 12 2006 rafael

. Add support for updates_for keyword in media.cfg
. translation updates

Version 4.8.24 - Sep 06 2006, by rafael

. fixes gurpmi file association
. output bugs fixed
. urpmi -q is more quiet
. translations updated
. reap ssh processes

* Tue Sep 05 2006 rafael

Fix the new menu so gurpmi is run when double-clicking on an rpm
(bug #25148)

* Sat Aug 12 2006 rafael

- New manpage: urpmihowto
- Misc. doc fixes
- Use --anyauth with curl downloads
- urpmi.removemedia and urpmi.addmedia now return a proper exit status
- bash completions fixes by Guillaume Rousse

* Sat Aug 12 2006 rafael

Reapply revision #55291

Version 4.8.22 - Jul 12 2006, by Rafael Garcia-Suarez

- Update docs and translations
- Allow to install deps of an srpm via rurpmi (Pascal Terjan)
- Add an -f option to rpm-find-leaves

Version 4.8.21 - Jun 21 2006, by Rafael Garcia-Suarez

- New command rurpme
- Forbid rurpmi --noscripts
- Don't ignore unselected media with --auto-update
- Remove old rpmdb log files at restart

Version 4.8.20 - Jun 13 2006, by Rafael Garcia-Suarez

- New options to urpmi.addmedia: --interactive and --all-media (Olivier Thauvin)
- urpmi.addmedia --distrib now uses media.cfg instead of hdlists (Olivier Thauvin)
- Use global proxy settings when adding a media (Vincent Panel, bug #22000)
- New urpmf option: -I. Also, make it handle "--" on command line
- Don't restart urpmi when started with --root (bug #22509)
- Misc. fixes to urpmi --bug
- Misc. fixes to gurpmi
- Don't sync to disk when closing rpmdb
- Doc fixes

Version 4.8.19 - Apr 21 2006, by Rafael Garcia-Suarez

- Fix running rurpmi with curl/wget, could have tainting errors
- Repackaging counter is prettier
- Several fixes in gurpmi by Thierry Vignaud

Version 4.8.18 - Apr 06 2006, by Rafael Garcia-Suarez

- Fix noisy output on http media update
- Translation updates

Version 4.8.17 - Apr 04 2006, by Rafael Garcia-Suarez

- urpmi.recover --list-safe
- proper handling of SIGINT in urpmi.addmedia
- make gurpmi clean the download cache
- fix urpmq --synthesis
- make gurpmi test directly if file argument exists (Warly)
- fix ssh download as non-root (Michael Scherer)
- print more reports on download errors
- doc updates

Version 4.8.16 - Mar 22 2006, by Rafael Garcia-Suarez

- Fix again transaction counter (and make it prettier)
- More docs

Version 4.8.15 - Mar 21 2006, by Rafael Garcia-Suarez

- Lock the urpmi db when adding a media
- Correct transaction count, even when repackaging, and better readability
- Enhance a couple of error messages

Version 4.8.14 - Mar 20 2006, by Rafael Garcia-Suarez

- Add --auto-select, --media and --searchmedia options to gurpmi
- Various gurpmi fixes (Thierry Vignaud)
- Fix installation of srpms by urpmi
- Portability enhancements (Buchan Milne)
- Warn on downloader change (Michael Scherer)
- Reuse ssh connection if possible (Michael Scherer)
- Add French man page (Christophe BerthelÃ©)

Version 4.8.13 - Mar 03 2006, by Rafael Garcia-Suarez

- Doc
- Fix cache cleanup (bug #17913)
- Require latest perl-URPM

Version 4.8.12 - Feb 28 2006, by Rafael Garcia-Suarez

- Less verbosity with urpmi -q
- Translation and doc updates
- avoid a perl warning in urpmi.recover

Version 4.8.11 - Feb 17 2006, by Rafael Garcia-Suarez

- New option, urpmi.recover --disable
- Docs fixes
- Miscellaneous bash completions fixes
- Let "ignoresize" be configurable in urpmi.cfg

Version 4.8.10 - Feb 14 2006, by Rafael Garcia-Suarez

- New tool: urpmi.recover (in its own rpm)
- urpmi: clean cache more aggressively (bug #17913)
- Don't log to /var/log/urpmi.log anymore, use syslog
- urpme and urpmi.recover use syslog too
- New config file urpmi.recover.macros
- Add new option --repackage to urpmi and urpme
- Add new option --ignorearch to urpmi and urpmq
- Fix --no-verify-rpm with gurpmi
- Fix usage of global urpmi.cfg options in gurpmi
- Various useability fixes in urpme
- Doc improvements

Version 4.8.9 - Feb 02 2006, by Rafael Garcia-Suarez

- Fix call of --limit-rate option with recent curls
- Fix some explanations on biarch environments
- Fix error recovery on download of description files (Shlomi Fish)
- Docs and translation updates

Version 4.8.8 - Jan 25 2006, by Rafael Garcia-Suarez

- urpmi can now install specfile dependencies
- Escape media names in urpmq --dump-config (Michael Scherer)
- Require latest perl-URPM
- Better docs

Version 4.8.7 - Jan 13 2006, by Rafael Garcia-Suarez

- Allow to install SRPMs as a non-root user (Pascal Terjan)
- Better diagnostics in a few cases
- Doc improvements; document --nolock option
- Don't lock when installing into a chroot
- Code cleanup in download routines

Version 4.8.6 - Jan 04 2006, by Rafael Garcia-Suarez

- rurpmi now doesn't install packages with unmatching signatures
- Fix MD5SUM bug
- Count correctly transactions even when some of them failed
- Don't update media twice when restarting urpmi

Version 4.8.5 - Dec 23 2005, by Rafael Garcia-Suarez

- New urpmi option, --auto-update
- New urpme option, --noscripts

Version 4.8.4 - Dec 08 2005, by Rafael Garcia-Suarez

- urpmi.addmedia doesn't reset proxy settings anymore
- urpmi.removemedia now removes corresponding proxy settings
- Fix installation of packages that provide and obsolete older ones
- Remove the urpmq --headers option

Version 4.8.3 - Dec 05 2005, by Rafael Garcia-Suarez

- New configuration option, default-media
- New options --wget-options, --curl-options and --rsync-options
- Fix /proc/mount parsing to figure out if a fs is read-only (Olivier Blin)
- Use a symlink for rpm-find-leaves (Thierry Vignaud)
- Better error checking when generating names file
- Manpage updates
- Translation updates
- Bash completion updates

Version 4.8.2 - Nov 25 2005, by Rafael Garcia-Suarez

- Now build urpmi using MakeMaker.
- Some basic regression tests.
- Non-english man pages are not installed by default anymore. They were not at
  all up to date with the development of the last years.
- English man pages are now in POD format.
- Correctly search for package names that contain regex metacharacters.

Version 4.8.1-2mdk - Nov 17 2005, by Rafael Garcia-Suarez

- urpmi: Move summary of number of packages / size installed at the end
- Don't require ka-run directly, use virtual package parallel-tools
- Message updates

Version 4.8.1 - Nov 17 2005, by Rafael Garcia-Suarez

- Display README.urpmi only once
- Add a --noscripts option to urpmi
- Install uninstalled packages as installs, not as upgrades
- Make urpmi::parallel_ka_run work with taktuk2

Version 4.8.0 - Nov 14 2005, by Rafael Garcia-Suarez

- Allow to put rpm names on the gurpmi command-line
- Make --no-verify-rpm work for gurpmi
- Improve some error messages in urpmi and gurpmi (bug #19060)
- Fail earlier and more aggressively when downloading fails
- Fix download with rsync over ssh
- Use the --no-check-certificate option for downloading with wget
- Use MDV::Packdrakeng; avoid requiring File::Temp, MDK::Common and packdrake
- Build process improvements
- Reorganize urpmq docs; make urpmq more robust; make urpmq require less locks

Version 4.7.18 - Oct 27 2005, by Rafael Garcia-Suarez

- gurpmi now expands .urpmi files given on command-line, just like urpmi
- urpmi.addmedia --raw marks the newly added media as ignored

Version 4.7.17 - Oct 21 2005, by Rafael Garcia-Suarez

- Complete urpmf overhaul
- Fix verbosity of downloader routines

Version 4.7.16 - Oct 12 2005, by Rafael Garcia-Suarez

- New urpmi option --ignoresize
- urpmq, urpmi.addmedia and urpmi.update now abort on unrecognized options
- Add glibc to the priority upgrades

Version 4.7.15 - Sep 15 2005, by Rafael Garcia-Suarez

- Fix --gui bug with changing media
- Message updates

Version 4.7.14 - Sep 08 2005, by Rafael Garcia-Suarez

- Optimize utf-8 operations
- Don't decode utf-8 text when the locale charset is itself in utf-8
- Message updates

Version 4.7.13 - Sep 06 2005, by Rafael Garcia-Suarez

- Really make Date::Manip optional

Version 4.7.12 - Sep 02 2005, by Rafael Garcia-Suarez

- Fix urpmi --gui when changing CD-ROMs
- Fix a case of utf-8 double encoding

Version 4.7.11-3mdk - Sep 01 2005, by Rafael Garcia-Suarez

- suppress wide character warnings

Version 4.7.11-2mdk - Aug 31 2005, by Rafael Garcia-Suarez

- message updates
- decode utf-8 on output

Version 4.7.11 - Aug 20 2005, by Rafael Garcia-Suarez

- MD5 for hdlists weren't checked with http media
- Don't print twice unsatisfied packages
- gurpmi: allow to cancel when gurpmi asks to insert a new media

Version 4.7.10-2mdk - Jul 19 2005, by Rafael Garcia-Suarez

- Message and manpage updates

Version 4.7.10 - Jul 02 2005, by Rafael Garcia-Suarez

- Fix rurpmi --help
- Patch by Pascal Terjan for bug 16663 : display the packages names urpmi
  guessed when it issues the message 'all packages are already installed'
- Allow to cancel insertion of new media in urpmi --gui
- Message updates

Version 4.7.9 - Jun 30 2005, by Rafael Garcia-Suarez

- Add rurpmi, an experimental restricted version of urpmi (intended
  to be used by sudoers)

Version 4.7.8 - Jun 29 2005, by Rafael Garcia-Suarez

- Allow to select more than one choice in alternative packages to be installed
  by urpmi
- Add LDAP media at the end
- Doc and translations updated

Version 4.7.7 - Jun 14 2005, by Rafael Garcia-Suarez

- Fix documentation for urpmq --summary/-S and urpmf -i (Olivier Blin)
- urpmq: extract headers only once

Version 4.7.6 - Jun 11 2005, by Rafael Garcia-Suarez

- Fix bug on urpmi-parallel-ssh on localhost with network media

Version 4.7.5 - Jun 10 2005, by Rafael Garcia-Suarez

- urpmi-parallel-ssh now supports 'localhost' in the node list and is a bit
  better documented

Version 4.7.4 - Jun 08 2005, by Rafael Garcia-Suarez

- Implement basic support for installing delta rpms
- Fix bug #16104 in gurpmi: choice window wasn't working
- Implement -RR in urpmq to search through virtual packages as well (bug 15895)
- Manpage updates

Version 4.7.3-2mdk - May 18 2005, by Rafael Garcia-Suarez

- Previous release was broken

Version 4.7.3 - May 18 2005, by Rafael Garcia-Suarez

- Introduce urpmi-ldap (thanks to Michael Scherer)
- Don't pass bogus -z option to curl
- Add descriptions to the list of rpms to be installed in gurpmi

Version 4.7.2 - May 05 2005, by Rafael Garcia-Suarez

- Adaptations for rpm 4.4.1 (new-style key ids)
- Add a "nopubkey" global option in urpmi.cfg and a --nopubkey switch to
  urpmi.addmedia

Version 4.7.1 - Apr 29 2005, by Rafael Garcia-Suarez

- Fix a long-standing bug when copying symlinked hdlists over nfs
- Minor rewrites in the proxy handling code

Version 4.7.0 - Apr 27 2005, by Rafael Garcia-Suarez

- urpmi.addmedia: new option --raw
- remove time stamps from rewritten config files
- new config option: "prohibit-remove" (Michael Scherer)
- urpmi: don't remove basesystem or prohibit-remove packages when installing
  other ones
- new config option: "static" media never get updated
- gurpmi: correctly handle several rpms at once from konqueror
- urpmi: new option --no-install (Michael Scherer)
- urpmi: allow relative pathnames in --root (Michael Scherer)
- urpmi: handle --proxy-user=ask, so urpmi will ask user for proxy credentials
- improve man pages
- po updates

Version 4.6.24-3mdk - Apr 12 2005, by Rafael Garcia-Suarez

- Change the default URL for the mirrors list file

Version 4.6.24-2mdk - Apr 07 2005, by Rafael Garcia-Suarez

- po updates

Version 4.6.24 - Mar 31 2005, by Rafael Garcia-Suarez

- More fixes related to ISO and removable media

Version 4.6.23-5mdk - Mar 25 2005, by Rafael Garcia-Suarez

- Fixes related to ISO media

Version 4.6.23-4mdk - Mar 24 2005, by Rafael Garcia-Suarez

- Disable --gui option when $DISPLAY isn't set

Version 4.6.23-3mdk - Mar 23 2005, by Rafael Garcia-Suarez

- Add a --summary option to urpmq (Michael Scherer)

Version 4.6.23-2mdk - Mar 11 2005, by Rafael Garcia-Suarez

- error checking was sometimes not enough forgiving

Version 4.6.23 - Mar 10 2005, by Rafael Garcia-Suarez

- new urpmi option, --retry
- better system error messages

Version 4.6.22-2mdk - Mar 09 2005, by Rafael Garcia-Suarez

- Warn when a chroot doesn't has a /dev

Version 4.6.22 - Mar 08 2005, by Rafael Garcia-Suarez

- Fix addition of media with passwords
- More verifications on local list files

Version 4.6.21 - Mar 07 2005, by Rafael Garcia-Suarez

- Output log messages to stdout, not stderr.
- Fix spurious tags appearing in urpmi.cfg
- Documentation nits and translations
- Menu fix for gurpmi (Frederic Crozat)

Version 4.6.20 - Feb 25 2005, by Rafael Garcia-Suarez

- Output takes now into account the locale's charset
- Fix log error in urpmi-parallel
- Docs, language updates

Version 4.6.19 - Feb 21 2005, by Rafael Garcia-Suarez

- Document /etc/urpmi/mirror.config, and factorize code that parses it

Version 4.6.18 - Feb 17 2005, by Rafael Garcia-Suarez

- Work around bug 13685, bug in display of curl progress
- Fix bug 13644, urpmi.addmedia --distrib was broken
- Remove obsoleted and broken --distrib-XXX command-line option

Version 4.6.17 - Feb 16 2005, by Rafael Garcia-Suarez

- Remove curl 7.2.12 bug workaround, and require at least curl 7.13.0
- Fix parsing of hdlists file when adding media with --distrib

Version 4.6.16-2mdk - Feb 14 2005, by Rafael Garcia-Suarez

- Don't call rpm during restart to avoid locking

Version 4.6.16 - Feb 14 2005, by Rafael Garcia-Suarez

- Patch by Michael Scherer to allow to use variables in media URLs
- Fix retrieval of source packages (e.g. urpmq --sources) with alternative
  dependencies foo|bar (Pascal Terjan)
- Fix --root option in urpme
- Require latest perl-URPM

Version 4.6.15 - Feb 04 2005, by Rafael Garcia-Suarez

- Add ChangeLog in docs
- Message updates
- gurpmi now handles utf-8 messages
- print help messages to stdout, not stderr
- rpm-find-leaves cleanup (Michael Scherer)
- man page updates

Version 4.6.14 - Jan 31 2005, by Rafael Garcia-Suarez

- urpmi.addmedia and urpmi now support ISO images as removable media
- "urpmq -R" will now report far less requires, skipping virtual packages.
- Improve bash-completion for media names, through new options to urpmq
  --list-media (by Guillaume Rousse)

Version 4.6.13 - Jan 25 2005, by Rafael Garcia-Suarez

- urpme now dies when not run as root
- improve error reporting in urpmi-parallel
- perl-base is no longer a priority upgrade by default
- factor code in gurpmi.pm; gurpmi now supports the --no-verify-rpm option
- "urpmi --gui" will now ask with a GUI popup to change media. Intended to be
  used with --auto (so other annoying dialogs are not shown).

Version 4.6.12 - Jan 19 2005, by Rafael Garcia-Suarez

- perl-base is now a priority upgrade by default
- gurpmi has been split in two programs, so users can save rpms without being root

Version 4.6.11 - Jan 10 2005, by Rafael Garcia-Suarez

- Add an option to urpmi, --expect-install, that tells urpmi to return with an
  exit status of 15 if it installed nothing.
- Fix 'urpmf --summary' (Michael Scherer)
- Language updates

Version 4.6.10 - Jan 06 2005, by Rafael Garcia-Suarez

- Langage updates
- urpmi now returns a non-zero exit status il all requested packages were
  already installed
- fix a small bug in urpmq with virtual media (Olivier Blin)
- fail if the main filesystems are mounted read-only

Version 4.6.9 - Dec 17 2004, by Rafael Garcia-Suarez

- Fix urpmi --skip
- Tell number of packages that will be removed by urpme
- Remove gurpm module, conflict with older rpmdrakes

Version 4.6.8 - Dec 13 2004, by Rafael Garcia-Suarez

- Adding a media should not fail when there is no pubkey file available
  (bug #12646)

Version 4.6.7 - Dec 10 2004, by Rafael Garcia-Suarez

- Fix a problem in finding pubkeys for SRPM media.
- Fix a problem in detecting download ends with curl [Bug 12634]

Version 4.6.6-2mdk - Dec 08 2004, by Rafael Garcia-Suarez

- Improvements to gurpmi: scrollbar to avoid windows too large, interface
  refreshed more often, less questions when unnecessary, fix --help.

Version 4.6.6 - Dec 07 2004, by Rafael Garcia-Suarez

- gurpmi has been reimplemented as a standalone gtk2 program.
- As a consequence, urpmi --X doesn't work any longer.

Version 4.6.5 - Dec 03 2004, by Rafael Garcia-Suarez

- Add --ignore and -­no-ignore options to urpmi.update
- Reduce urpmi redundant verbosity

Version 4.6.4-4mdk - Dec 02 2004, by Rafael Garcia-Suarez

- Minor fix in urpmi.addmedia (autonumerotation of media added with --distrib)

Version 4.6.4-3mdk - Dec 01 2004, by Rafael Garcia-Suarez

- Internal API additions
- urpmi wasn't taking into account the global downloader setting

Version 4.6.4-2mdk - Nov 30 2004, by Rafael Garcia-Suarez

- Fix package count introduced in previous release

Version 4.6.4 - Nov 29 2004, by Rafael Garcia-Suarez

- From now on, look for descriptions files in the media_info subdirectory.
  This will be used by the 10.2 update media.
- Recall total number of packages when installing.

Version 4.6.3 - Nov 26 2004, by Rafael Garcia-Suarez

- urpmq -i now works as non root
- translations and man pages updated
- more curl workarounds

Version 4.6.2 - Nov 25 2004, by Rafael Garcia-Suarez

- when passing --proxy to urpmi.addmedia, this proxy setting is now saved for the
  new media
- New option --search-media to urpmi and urpmq (Olivier Thauvin)
- work around a display bug in curl for authenticated http sources
- when asking for choices, default to the first one

Version 4.6.1 - Nov 19 2004, by Rafael Garcia-Suarez

- reconfig.urpmi on mirrors must now begin with a magic line
- don't create symlinks in /var/lib/urpmi, this used to mess up updates
- warn when MD5SUM file is empty/malformed
- use proxy to download mirror list
- Cleanup text mode progress output

Version 4.6-2mdk - Nov 12 2004, by Rafael Garcia-Suarez

- New error message: "The following packages can't be installed because they
  depend on packages that are older than the installed ones"

Version 4.6 - Nov 09 2004, by Rafael Garcia-Suarez

- New option --norebuild to urpmi, urpmi.update and urpmi.addmedia.
- New --strict-arch option to urpmi
- Fix ownership of files in /var/lib/urpmi
- Fix bash completion for media names with spaces (Guillaume Rousse)
- Fix parallel_ssh in non-graphical mode
- Small fixes for local media built from directories containing RPMs
- Fix search for source rpm by name
- Translation updates, man page updates, code cleanup

Version 4.5-28mdk - Sep 30 2004, by Rafael Garcia-Suarez

- New urpmf option, -m, to get the media in which a package is found
- Silence some noise in urpmq

Version 4.5-27mdk - Sep 29 2004, by Rafael Garcia-Suarez

- Change description
- Add a "--" option to urpmi.removemedia
- Better error message in urpmi.update when hdlists are corrupted

Version 4.5-26mdk - Sep 18 2004, by Rafael Garcia-Suarez

- urpmi.addmedia should create urpmi.cfg if it doesn't exist.

Version 4.5-25mdk - Sep 15 2004, by Rafael Garcia-Suarez

- Don't print the urpmf results twice when using virtual media.
- Translations updates.

Version 4.5-24mdk - Sep 10 2004, by Rafael Garcia-Suarez

- Remove deprecation warning.
- Translations updates.

Version 4.5-23mdk - Sep 03 2004, by Rafael Garcia-Suarez

- Handle new keywords in hdlists file.
- Translations updates.

Version 4.5-22mdk - Aug 31 2004, by Rafael Garcia-Suarez

- Fix download with curl with usernames that contains '@' (for mandrakeclub)
- Make the --probe-synthesis option compatible with --distrib in urpmi.addmedia.
- Re-allow transaction split with --allow-force or --allow-nodeps

Version 4.5-21mdk - Aug 26 2004, by Rafael Garcia-Suarez

- new --root option to rpm-find-leaves.pl (Michael Scherer)
- add timeouts for connection establishments
- Language and manpages updates (new manpage, proxy.cfg(5))

Version 4.5-20mdk - Aug 12 2004, by Rafael Garcia-Suarez

- Language updates
- Fix urpmi.addmedia --distrib with distribution CDs
- Fix taint failures with gurpmi
- Display summaries of packages when user is asked for choices (Michael Scherer)
- Update manpages

Version 4.5-19mdk - Jul 31 2004, by Rafael Garcia-Suarez

- Add --more-choices option to urpmi
- Fix urpmi --excludedocs
- Make urpmi.addmedia --distrib grok the new media structure
- and other small fixes

Version 4.5-18mdk - Jul 28 2004, by Rafael Garcia-Suarez

- Better error handling for copy failures (disk full, etc.)
- Better handling of symlinks (Titi)
- New noreconfigure flag in urpmi.cfg: ignore media reconfiguration (Misc)
- More robust reconfiguration
- Preserve media order in urpmi.cfg, add local media at the top of the list
- file:/// urls may now be replaced by bare absolute paths.
- New urpmq option: -Y (fuzzy, case-insensitive)
- New options for urpmi.addmedia, urpmi.removemedia and urpmi.update:
  -q (quiet) and -v (verbose).
- Updated bash completion.
- Message and documentation updates.

Version 4.5-17mdk - Jul 24 2004, by Rafael Garcia-Suarez

- Make --use-distrib support new media layout.
- Update manpages.

Version 4.5-16mdk - Jul 23 2004, by Rafael Garcia-Suarez

- Automagically reconfigure NFS media as well. (duh.)

Version 4.5-15mdk - Jul 21 2004, by Rafael Garcia-Suarez

- Support for automatic reconfiguration of media layout
- Remove setuid support
- Minor fixes and language updates

Version 4.5-14mdk - Jul 13 2004, by Rafael Garcia-Suarez

- Simplified and documented skip.list and inst.list
- Add an option -y (fuzzy) to urpmi.removemedia

Version 4.5-13mdk - Jul 10 2004, by Rafael Garcia-Suarez

- Support for README.*.urpmi
- add a --version command-line argument to everything
- Deleting media now deletes corresponding proxy configuration
- Code cleanups

Version 4.5-12mdk - Jul 06 2004, by Rafael Garcia-Suarez

- Disallow two medias with the same name
- urpmi.removemedia no longer performs a fuzzy match on media names

Version 4.5-11mdk - Jul 01 2004, by Rafael Garcia-Suarez

- Methods to change and write proxy.cfg
- Language updates

Version 4.5-10mdk - Jun 30 2004, by Rafael Garcia-Suarez

- Rewrite the proxy.cfg parser
- Let the proxy be settable per media (still undocumented)

Version 4.5-9mdk - Jun 29 2004, by Rafael Garcia-Suarez

- Rewrite the urpmi.cfg parser
- Make the verify-rpm and downloader options be settable per media in urpmi.cfg

Version 4.5-8mdk - Jun 24 2004, by Rafael Garcia-Suarez

- Emergency fix on urpmi.update

Version 4.5-7mdk - Jun 24 2004, by Rafael Garcia-Suarez

- Message and man page updates
- Minor fixes

Version 4.5-6mdk - May 28 2004, by Stefan van der Eijk <stefan@eijk.nu>

- fixed Fedora build (gurmpi installed but unpackaged files)

Version 4.5-5mdk - May 22 2004, by Rafael Garcia-Suarez

- locale and command-line fixes
- urpmf now warns when no hdlist is used
- improve docs, manpages, error messages
- urpmi.addmedia doesn't search for hdlists anymore when a 'with' argument
  is provided

Version 4.5-4mdk - May 05 2004, by Rafael Garcia-Suarez

- urpmi.addmedia no longer probes for synthesis/hdlist files when a
  "with" argument is provided
- gurpmi was broken
- skip comments in /etc/fstab
- better bash completion (O. Blin)
- fix rsync download (O. Thauvin)

Version 4.5-3mdk - Apr 29 2004, by Rafael Garcia-Suarez

- Fix message output in urpme
- Fix input of Y/N answers depending on current locale

Version 4.5-2mdk - Apr 29 2004, by Rafael Garcia-Suarez

- Bug fixes : locale handling, command-line argument parsing
- Add new French manpages from the man-pages-fr package

Version 4.5 - Apr 27 2004, by Rafael Garcia-Suarez

- Refactorization, split code in new modules, minor bugfixes

Version 4.4.5-10mdk - Mar 17 2004, by Warly

- do not display the urpmi internal name when asking for a media insertion
(confusing people with extra cdrom1, cdrom2 which does not refer to cdrom but hdlists)

Version 4.4.5-9mdk - Mar 16 2004, by Frederic Crozat

- fix mimetype in menu file (correct separator is ,  not ;)

Version 4.4.5-8mdk - Feb 22 2004, by François Pons

- fix bug 8110 (urpmq -y automatically uses -a).
- gurpm.pm: allow to pass options to ugtk2 object (so that we can set
  transient_for option, fixes #8146) (gc)
- From Olivier Thauvin <thauvin@aerov.jussieu.fr>
   - Own /usr/lib/perl5/vendor_perl/5.8.8/urpm
   - fix bug #6749 (man pages)

Version 4.4.5-7mdk - Feb 20 2004, by David Baudens

- Revert menu entry from needs="x11" to needs="gnome" and needs="kde"

Version 4.4.5-6mdk - Feb 19 2004, by David Baudens

- Fix menu entry

Version 4.4.5-5mdk - Feb 11 2004, by Olivier Blin

- send download errors to error output instead of log output
  (in order to display them in non-verbose mode too)
- From Guillaume Cottenceau :
  - gurpmi: don't escape "," in translatable string, do it after translation

Version 4.4.5-4mdk - Feb 09 2004, by Guillaume Cottenceau

- fix bug #7472: progressbar forced to be thicker than default
- gurpmi: when cancel button is destroyed forever from within
  rpmdrake (after all downloads completed) ask gtk to recompute
  size of toplevel window to not end up with an ugly void space
- gurpmi: say that we support application/x-urpmi mimetype as well
- gurpmi: handle case where user clicked on a src.rpm, suggest
  user is misleaded, allow to do nothing, really install, or
  save on disk
- gurpmi: allow installing or saving binary rpm as well

Version 4.4.5-3mdk - Feb 03 2004, by François Pons

- fixed bug of reference of ../ in hdlists file.
- fixed bug 6834.

Version 4.4.5-2mdk - Feb 03 2004, by Guillaume Cottenceau

- convert some gurpmi dialogs to UTF8 as they should (part of
  bug #7156, needs latest change in perl-Locale-gettext as well)

Version 4.4.5 - Jan 30 2004, by Olivier Blin

- add --resume and --no-resume options in urpmi
  (to resume transfer of partially-downloaded files)
- add resume option in global config section

Version 4.4.4 - Jan 28 2004, by Olivier Blin

- fix --wget and --curl in urpmi.update

Version 4.4.3 - Jan 21 2004, by Olivier Blin

- add downloader option in global config section
- better error reporting for curl
- fix urpmq -i on media with synthesis hdlist
- fix --limit-rate in man pages (it's in bytes/sec)
- really fix urpme --root
- support --root in bash_completion (Guillaume Rousse)
- perl_checker fixes

Version 4.4.2 - Jan 15 2004, by Olivier Blin

- print updates description in urpmq -i when available
- add auto and keep options in global config section
- urpmq -l (list files), urpmq --changelog
- lock rpm db even in chroot for urpmq
- enhance urpmq -i for non root user (fetch Description field)
- fix urpmq --sources for non root user (do not give a wrong url)
- fix urpme --root
- / can be used as root, it's not a particular case
- lock rpm db in chroot, and urpmi db in /
- ask to be root to use auto-select in urpmi
- ask to be root to install binary rpms in chroot
- From Guillaume Cottenceau :
    - more graphical feedback in urpmi --parallel --X (status, progress, etc)
- From Pascal Terjan :
    - $root =~ s!/*!! to avoid root detection issue
- From Olivier Thauvin <thauvin@aerov.jussieu.fr> :
    - add --use-distrib
    - fix urpmq for virtual medium
    - add --root in man/--help (thanks Zborg for english help)
    - fix issue using virtual medium and --bug
    - update error message if --bug dir exist

Version 4.4.1 - Jan 12 2004, by Guillaume Cottenceau

- add ability to cancel packages downloads from within rpmdrake
  (subsubversion increase)
- don't explicitely provide perl(urpm) and perl(gurpm), it's unneeded

Version 4.4-52mdk - Jan 09 2004, by Warly

- provides perl(gurpm) in gurpmi

Version 4.4-51mdk - Jan 06 2004, by Pixel

- provide perl(urpm) (needed by rpmdrake)

Version 4.4-50mdk - Jan 05 2004, by Abel Cheung <deaddog@deaddog.org>

- Remove bash-completion dependency

Version 4.4-49mdk - Jan 04 2004, by Olivier Thauvin <thauvin@aerov.jussieu.fr>

- apply Guillaume Rousse patch
- Fix bug #6666

Version 4.4-48mdk - Dec 24 2003, by Olivier Thauvin <thauvin@aerov.jussieu.fr>

- urpmi.update: add --force-key
- urpmq: add --list-url and --dump-config

Version 4.4-46mdk - Dec 14 2003, by François Pons

- fixed improper restart and possible loop of restart.

Version 4.4-45mdk - Dec 09 2003, by François Pons

- added compability with RH 7.3.

Version 4.4-44mdk - Dec 05 2003, by François Pons

- fixed bug 6013, 6386, 6459.
- fixed restart of urpmi in test mode which should be avoided.
- added executability if perl-Locale-gettext is missing.

Version 4.4-43mdk - Nov 05 2003, by Guillaume Cottenceau

- urpmi: fix exitcode always true when running in gurpmi mode, by
  using _exit instead of exit, probably some atexit gtk stuff in the way

Version 4.4-41mdk - Oct 30 2003, by François Pons

- added the Erwan feature (update rpm, perl-URPM or urpmi first and
  restart urpmi in such case).
- added contributors section in man page (please accept I may have
  forget you, so ask to authors in such case).

Version 4.4-40mdk - Oct 22 2003, by François Pons

- fixed invalid signature checking when using --media on first
  package listed.

Version 4.4-39mdk - Oct 08 2003, by François Pons

- fixed names.XXX file not always regenerated.

Version 4.4-38mdk - Sep 24 2003, by François Pons

- fixed md5sum or copy of hdlist of virtual media uneeded.
- fixed bug 5807 for names.XXX files still present after removing
  medium XXX.
- fixed bug 5802 about exotic character recognized as default answer.
- fixed bug 5833 about urpme having Y for removing packages by default.
- fixed parallel urpme on some cases.

Version 4.4-37mdk - Sep 17 2003, by François Pons

- fixed virtual media examination of list file.

Version 4.4-36mdk - Sep 16 2003, by François Pons

- fixed virtual media examination of descriptions or pubkey files.
- fixed adding medium on a directory directly under root, as in
  file://tmp for example.
- removing stale logs.

Version 4.4-35mdk - Sep 10 2003, by François Pons

- get back skipping warning as log (so disabled by default for urpmi).
- make sure one package is only displayed once for skipping and
  installing log.
- translation and cs man pages updates.
- fixed urpmf man pages.

Version 4.4-34mdk - Sep 08 2003, by François Pons

- make sure --force will answer yes for all question (except
  choosing a package and changing removable media, this means that
  signature checking is also disabled).
- force second pass if virtual media using hdlist are used.
- improved probing files for hdlist or synthesis.

Version 4.4-33mdk - Sep 06 2003, by François Pons

- added automatic generation of /var/lib/urpmi/names.<medium>
  for completion to be faster.
- skipped or installed entries are first tested against
  compatible arch.

Version 4.4-32mdk - Sep 05 2003, by François Pons

- fixed symlink in current working directory.
- added fixes from gc (signature checking improvement and
  basename usage).
- fixed bad reason with standalone star in text.
- skipping log are now always displayed.

Version 4.4-31mdk - Sep 04 2003, by François Pons

- removed obsoleted and no more used -d of urpmi.update.
- fixed --bug to handle local pakcages and virtual media.
- added -z option to urpmi, urpmi.addmedia and urpmi.update for
  handling on the fly compression if possible, only handled for
  rsync:// and ssh:// protocol currently.
- removed -z option by default for rsync:// protocol.
- avoid trying locking rpmdb when using --env.
- fixed media updating on second pass when a synthesis
  virtual medium is used.

Version 4.4-30mdk - Sep 02 2003, by François Pons

- improved checking to be safer and smarter.
- added urpm::check_sources_signatures.

Version 4.4-29mdk - Sep 01 2003, by François Pons

- fixed @EXPORT of *N to be N only (avoid clashes with rpmdrake
  or others, and fix #5090)
- added urpmi.cfg man page in section 5.
- fixed bug 5058.

Version 4.4-28mdk - Aug 28 2003, by François Pons

- fixed transaction number restarting at 1 in split mode.
- updated C and fr man pages.
- added urpme man page.

Version 4.4-27mdk - Aug 28 2003, by François Pons

- update /var/lib/urpmi/MD5SUM for managing md5sum of files.
- make sure cwd is changed when downloading to cache directory.

Version 4.4-26mdk - Aug 26 2003, by François Pons

- added -z for rsync:// protocol by default.
- fixed some cosmetic log glitches when progressing download.
- fixed multiple removable device management.
- fixed urpmi not locking urpmi db.

Version 4.4-25mdk - Aug 22 2003, by François Pons

- automatically fork transaction if they are multiple.

Version 4.4-24mdk - Aug 21 2003, by François Pons

- updated with newer perl-URPM (changes in URPM::Signature).

Version 4.4-23mdk - Aug 20 2003, by François Pons

- fixed bad key ids recognized from pubkey during update of media.
- simplified list and pubkey location to be more compatible with
  previous version and avoid probing too many files.
- simplified log to be more explicit when a key is imported.

Version 4.4-22mdk - Aug 19 2003, by François Pons

- fixed MD5SUM and pubkey management for local media.
- fixed post deadlock with rpm < 4.2.

Version 4.4-21mdk - Aug 11 2003, by François Pons

- added -a flag for urpmq (so that urpmq -a -y -r will do what
  is requested more or less).
- fixed rsync:// and ssh:// protocol with integer limit-rate not
  multiple of 1024.

Version 4.4-20mdk - Aug 11 2003, by François Pons

- fixed bug 4637 and add reason for removing package in urpme.
- fixed handling of pubkey file.
- fixed proxy typo when using curl (Guillaume).

Version 4.4-19mdk - Aug 06 2003, by François Pons

- fixed local package not found when using curl and without an
  absolute path.
- added signature support on distant media (in pubkey file).
- fixed bug 4519.
- fixed bug 4513 (--no-md5sum added for test purpose, workaround).

Version 4.4-18mdk - Aug 01 2003, by François Pons

- fixed shared locks management by simple user.

Version 4.4-17mdk - Aug 01 2003, by François Pons

- fixed shared locks management (were always exclusive).

Version 4.4-16mdk - Jul 31 2003, by François Pons

- fixed transaction number when split is active.
- fixed transaction which should not be splited in parallel mode.
- use a regular file opened in write mode for locking.
- added shared lock for urpmi, urpmq and urpmf (exclusive lock
  are done by urpmi.addmedia, urpmi.removemedia and urpmi.update).

Version 4.4-15mdk - Jul 29 2003, by François Pons

- fixed urpme --parallel --auto still asking the user.
- fixed --keep for parallel mode.

Version 4.4-14mdk - Jul 29 2003, by François Pons

- fixed urpme --auto disabling fuzzy report.
- fixed urpme --parallel which was not handling log.
- fixed urpme to always ask user in parallel mode.
- fixed urpme --parallel when one node has not a package.
- make package compilable and workable directly on
  Mandrake Clustering which is a 9.0 based distribution.

Version 4.4-13mdk - Jul 28 2003, by François Pons

- fixed trying to promote ARRAY(...) message.
- fixed output of urpmq to be sorted.
- added support for --keep in urpmi and urpmq to give an hint
  for resolving dependencies about trying to keep existing
  packages instead of removing them.
- added some translations to french man page of urpmi.

Version 4.4-12mdk - Jul 28 2003, by François Pons

- avoid spliting transaction if --test is used.

Version 4.4-11mdk - Jul 28 2003, by François Pons

- fixed bug 4331.
- printing error again at the end of installation when multiple
  transaction failed.

Version 4.4-10mdk - Jul 25 2003, by François Pons

- added urpme log and urpmi removing log (bug 3889).
- fixed undefined subroutine ...N... when using parallel
  mode (bug 3982).
- fixed moving of files inside the cache (bug 3833).
- fixed not obvious error message (bug 3436).
- fixed parallel installation of local files.

Version 4.4-9mdk - Jul 17 2003, by François Pons

- fixed error code reporting after installation.
- fixed if packages have not been found on some cases.

Version 4.4-8mdk - Jun 26 2003, by François Pons

- fixed urpmq -d not working if package given has unsatisfied
  dependencies as backtrack is active, now -d use nodeps.
- added @unsatisfied@ info with -c of urpmq.
- fixed lock database error when upgrading urpmi.
- added hack to avoid exiting installation with --no-remove
  if --allow-force is given, avoid removing packages in such
  cases.

Version 4.4-7mdk - Jun 26 2003, by François Pons

- fixed building of hdlist.

Version 4.4-6mdk - Jun 20 2003, by François Pons

- fixed --virtual to work with synthesis source.

Version 4.4-5mdk - Jun 19 2003, by François Pons

- fixed everything already installed annoying message.
- added --virtual to urpmi.addmedia to handle virtual media.
- added promotion message reason for backtrack.

Version 4.4-4mdk - Jun 18 2003, by François Pons

- added --env to urpmq and urpmf (simplest to examine now).
- fixed --allow-nodeps and --allow-force no more taken into
  account (bug 4077).

Version 4.4-3mdk - Jun 18 2003, by François Pons

- changed --split-level behaviour to be a trigger (default 20).
- added --split-length to give minimal transaction length (default 1).
- added missing log for unselected and removed packages in auto mode.

Version 4.4-2mdk - Jun 17 2003, by François Pons

- fixed parallel handler with removing.
- fixed glitches with gurpmi.
- fixed bad test report.
- fixed bad transaction ordering and splitting on some cases.

Version 4.4 - Jun 16 2003, by François Pons

- added preliminary support for small transaction set.
- internal library changes (compabilility should have been kept).

Version 4.3-15mdk - Jun 13 2003, by François Pons

- fixed incorrect behaviour when no key_ids options are set.
- created retrieve methods and translation methods for packages
  unselected or removed.

Version 4.3-14mdk - Jun 13 2003, by François Pons

- added key_ids global and per media option to list authorized
  key ids.
- improved signature checking by sorting packages list and give
  reason as well as signature results (may be hard to read but
  very fine for instance).
- need perl-URPM-0.90-10mdk or newer for signature handling.

Version 4.3-13mdk - Jun 05 2003, by François Pons

- added patch from Michaël Scherer to add --no-uninstall
  (or --no-remove) and assume no by default when asking to
  remove packages.
- updated urpmq with newer perl-URPM 0.90-4mdk and better.
- fixed bad display of old package installation reason.

Version 4.3-12mdk - May 26 2003, by François Pons

- updated for newer perl-URPM 0.90 series.
- give reason of package requested not being installed.

Version 4.3-11mdk - May 16 2003, by François Pons

- try to handle resume connection (do not always remove previous
  download, only works for hdlist or synthesis using rsync).
- updated for perl-URPM-0.84 (ask_remove state hash simplified).

Version 4.3-10mdk - May 13 2003, by Pons François

- updated to use latest perl-URPM (simplified code, no interface
  should be broken).

Version 4.3-9mdk - May 12 2003, by Guillaume Cottenceau

- internalize grpmi in gurpm.pm so that we can share graphical
  progression of download and installation between gurpmi and
  rpmdrake

Version 4.3-8mdk - Apr 25 2003, by François Pons

- added -i in urpmq --help (fix bug 3829).
- fixed many urpmf options: --media, --synthesis, -e.
- added --excludemedia and --sortmedia to urpmf.
- fixed --sortmedia not working properly.
- slightly modified cache management for rpms, not always use
  partial subdirectory before transfering to rpms directory.
- improved --list-aliases, --list-nodes and --list-media to be
  much faster than before.

Version 4.3-7mdk - Apr 24 2003, by François Pons

- added -v to urpme and removed default log.
- avoid curl output to be seen.
- make require of Date::Manip optional (urpmi manage to continue
  evan if Date::Manip is not there of fail due to unknown TZ).

Version 4.3-6mdk - Apr 23 2003, by François Pons

- added more log when installing packages.
- urpmf: added --sourcerpm, --packager, --buildhost, --url, --uniq
  and -v, -q, -u (as alias to --verbose, --quiet, --uniq).

Version 4.3-5mdk - Apr 22 2003, by François Pons

- improved output of urpmq -i (with packager, buildhost and url).
- fixed output of download informations (without callback).
- fixed error message of urpmi.update and urpmi.removemedia when
  using -h or --help.
- fixed urpmq -i to work on all choices instead of the first one.

Version 4.3-4mdk - Apr 18 2003, by François Pons

- added urpmq -i (the almost same as rpm -qi).

Version 4.3-3mdk - Apr 17 2003, by François Pons

- fixed readlink that make supermount sloowwwwwiiiinnnngggg.
- improved find_mntpoints to follow symlink more accurately
  but limit to only one mount point.
- fixed media which are loosing their with_hdlist ramdomly.

Version 4.3-2mdk - Apr 16 2003, by François Pons

- added --sortmedia option to urpmi and urpmq.
- improved MD5SUM file for hdlist or synthesis management, added
  md5sum in /etc/urpmi/urpmi.cfg for each media when needed.
- improved output when multiple package are found when searching.

Version 4.3 - Apr 14 2003, by François Pons

- avoid scanning all urpmi cache for checking unused rpm files.
- added smarter skip.list support (parsed before resolving requires).
- added --excludemedia options to urpmi and urpmq.
- obsoleted -h, added --probe-synthesis, --probe-hdlist,
  --no-probe, now --probe-synthesis is by default.
- added --excludedocs option.
- fixed --excludepath option.

Version 4.2-34mdk - Mar 27 2003, by Guillaume Cottenceau

- fix MandrakeClub downloads problem: take advantage of
  --location-trusted when available (available in curl >=
  7.10.3-2mdk)

Version 4.2-33mdk - Mar 13 2003, by François Pons

- fix bug 3258 (use curl -k only for https for curl of 9.0).

Version 4.2-32mdk - Mar 12 2003, by François Pons

- added https:// protocol. (avoid curl limitation and fix bug 3226).

Version 4.2-31mdk - Mar 10 2003, by François Pons

- try to be somewhat perl_checker compliant.
- strict require on urpmi.

Version 4.2-29mdk - Mar 06 2003, by François Pons

- reworked po generation completely due to missing translations
  now using perl_checker. (pablo)
- changed library exports (now N function is always exported).

Version 4.2-28mdk - Mar 04 2003, by Guillaume Cottenceau

- fixed french translations.
- fix bug 2680.

Version 4.2-27mdk - Mar 03 2003, by François Pons

- avoid mounting or unmounting a supermounted device.
- updated french translations (some from Thévenet Cédric).

Version 4.2-26mdk - Feb 28 2003, by Pons François

- added sanity check of list file used (fix bug 2110 by providing
  a reason why there could be download error).

Version 4.2-25mdk - Feb 28 2003, by François Pons

- fixed callback behaviour for rpmdrake.

Version 4.2-24mdk - Feb 27 2003, by François Pons

- fixed removable devices not needing to be umouting if
  supermount is used.
- umount removable devices after adding or updating a medium.

Version 4.2-23mdk - Feb 24 2003, by François Pons

- fixed bug 2342 (reported exit code 9 for rpm db access failure)

Version 4.2-22mdk - Feb 21 2003, by François Pons

- fixed callback not sent with wget if a file is not downloaded.
- fixed rsync:// protocol to support :port inside url.
- simplified propagation of download callback, always protect
  filename for password.
- added newer callback mode for rpmdrake.

Version 4.2-21mdk - Feb 20 2003, by François Pons

- modified --test output to be consistent about the same
  message displayed if installation is possible whatever
  verbosity (fixed bug 1955).

Version 4.2-20mdk - Feb 20 2003, by François Pons

- fixed bug 1737 and 1816.

Version 4.2-19mdk - Feb 17 2003, by François Pons

- fixed bug 1719 (ssh distributed mode not working).
- fixed english typo.

Version 4.2-18mdk - Feb 14 2003, by François Pons

- fixed bug 1473 and 1329.
- fixed bug 1608 (titi sucks).

Version 4.2-17mdk - Feb 12 2003, by François Pons

- added some perl_checker suggestions (some from titi).
- help urpmf probe if this is a regexp or not (only ++ checked).

Version 4.2-16mdk - Jan 29 2003, by François Pons

- fixed limit-rate and excludepath causing error in urpmi.cfg.
- take care of limit-rate in urpmi.update and urpmi.addmedia.

Version 4.2-15mdk - Jan 28 2003, by François Pons

- fixed verify-rpm (both in urpmi.cfg or command line).
- fixed default options activated.
- fixed error message about unknown options use-provides and
  post-clean.

Version 4.2-14mdk - Jan 27 2003, by François Pons

- added more global options to urpmi.cfg: verify-rpm, fuzzy,
  allow-force, allow-nodeps, pre-clean, post-clean, limit-rate,
  excludepath.

Version 4.2-13mdk - Jan 27 2003, by François Pons

- simplified portage to perl 5.6.1, because the following
  open F, "-|", "/usr/bin/wget", ... are 5.8.0 restrictive.
- fixed problem accessing removable media.

Version 4.2-12mdk - Jan 27 2003, by François Pons

- fixed stupid typo using curl.

Version 4.2-11mdk - Jan 24 2003, by François Pons

- add --limit-rate option to urpmi, urpmi.addmedia and
  urpmi.update.
- add preliminary support for options in urpmi.cfg, only
  verify-rpm is supported yet, format is as follow
    {
      verify-rpm : on|yes
      verify-rpm
      no-verify-rpm
    }

Version 4.2-10mdk - Jan 23 2003, by François Pons

- added download log support for rsync and ssh protocol.
- make log not visible in log file instead url.

Version 4.2-9mdk - Jan 23 2003, by François Pons

- fix bug 994 according to Gerard Patel.
- added download log for urpmi.addmedia and urpmi.update.
- fixed wget download log with total size available.

Version 4.2-8mdk - Jan 22 2003, by François Pons

- add callback support for download (fix bug 632 and 387).

Version 4.2-7mdk - Jan 20 2003, by François Pons

- fixed bug 876.

Version 4.2-6mdk - Jan 16 2003, by François Pons

- fixed bug 778 (in cvs since January 11 but not uploaded).
- more translations.

Version 4.2-5mdk - Jan 10 2003, by François Pons

- added a reason for each removed package.

Version 4.2-4mdk - Jan 08 2003, by François Pons

- updated english man pages and french version of urpmi.

Version 4.2-3mdk - Jan 06 2003, by François Pons

- fixed -q to avoid a message.
- made -q and -v opposite.
- added -i to urpmf.
- check rpmdb open status (should never fails unless...) in order
  to give a better error message.
- added et man pages.

Version 4.2-2mdk - Dec 19 2002, by François Pons

- added log for package download if verbose.
- fixed using hdlist if no synthesis available or invalid.

Version 4.2 - Dec 18 2002, by François Pons

- fixed file:// protocol now checking file presence.
- added distributed urpme (both ka-run and ssh module).
- updated perl-URPM and urpmi requires on version (major
  fixes in perl-URPM-0.81 and extended urpme in urpmi-4.2).

Version 4.1-18mdk - Dec 13 2002, by François Pons

- fixed urpmf so that if callback is not compilable display help.
- fixed urpmq and urpmi call without parameter to display help.
- added donwload lock to avoid clashes from urpmi.update.

Version 4.1-17mdk - Dec 13 2002, by François Pons

- added mput or scp exit code checking.
- temporaly using hdlist file for --summary of urpmf.
- fixed perl warning (useless code which was not really useless but
  by side effects in fact).

Version 4.1-16mdk - Dec 13 2002, by François Pons

- fixed warning message from distributed module for local rpms.
- fixed bad test including a 0 for distributed install.

Version 4.1-15mdk - Dec 11 2002, by François Pons

- improve speed of urpmf dramatically if no --files (default if
  no flags given) nor --description are given.
- removed not coded --prereqs of urpmf (use --requires with [*]
  instead).

Version 4.1-14mdk - Dec 11 2002, by François Pons

- changed fuzzy search on provides to be deactived by default,
  use --fuzzy for that now (previous behaviour of --fuzzy is kept).
- fixed urpmf --provides, --requires, ...
- added -f to urpmf (as used by urpmq).

Version 4.1-13mdk - Dec 11 2002, by François Pons

- fixed error management about missing files after download.
- fixed urpme dependencies output to be user friendly.

Version 4.1-12mdk - Dec 11 2002, by François Pons

- fix symlink download with wget.
- urpme now print possible errors.

Version 4.1-11mdk - Dec 10 2002, by François Pons

- fixed source installation in / when installing dependencies.
- added --install-src to avoid probing on root/user mode.
- fixed no log available when user mode.
- changed obsoleted -c of urpmq to complete output with package
  to removes (needed for parallel distributed urpme).
- allow distribution of local files.
- fixed small typos in urpme.

Version 4.1-10mdk - Dec 06 2002, by François Pons

- fixed indexation when using --distrib-XXX for urpmi.addmedia.
- fixed wget output to be far more quietly.

Version 4.1-9mdk - Dec 06 2002, by François Pons

- improved urpmf from sh to perl, now a lot of options and
  support of synthesis only media.
- make medium name mandatory when adding a source with
  --distrib-XXX using urpmi.addmedia.
- fix parallel installation when one node is already up-to-date.
- improved callback usage of urpm::configure to use newer
  perl-URPM interface (much faster and smart with memory, but
  unstable).

Version 4.1-8mdk - Dec 03 2002, by François Pons

- added --excludepath option (fix bug 577).
- fixed missing options given to parallel plugins.
- fixed missing files not given to user.

Version 4.1-7mdk - Dec 02 2002, by François Pons

- fixed rsync:// protocol, now it really works, tested.

Version 4.1-6mdk - Dec 02 2002, by François Pons

- fixed mutliple second or more medium being ignored when not
  using a list file.
- fixed problem of package not found when not using list file.
- fixed urpmi --auto.

Version 4.1-5mdk - Nov 29 2002, by François Pons

- changed urpmi.addmedia behaviour to use /etc/urpmi/mirror.config
  and allow it to parse urpmi.setup mirror configuration as
  well as Mandrake (old) mirror configuration.
- allow blank url to be given to get all mirror for a given version
  and architecture.

Version 4.1-4mdk - Nov 29 2002, by François Pons

- allow urpmi <url> to work with rpm filename with all supported
  protocols (ftp, http, ssh, rsync).
- fixed rsync:// protocol not to use rsync with -e along with
  an rsync server.
- fixed missing list creation update.

Version 4.1-3mdk - Nov 28 2002, by François Pons

- added mirrors management for urpmi.addmedia, so added
  --distrib-XXX, --from, --version, --arch options. <url>
  is now just a regex for choosing a mirror, and <name>
  will have an numeric index appended to it.
  anyway for more info, look in the code or guess with
  --help ;-) too late here in Paris ...
- urpmi.addmedia now delete failing media to create.
- added --update option to urpmi.update, guess for what ?

Version 4.1-2mdk - Nov 28 2002, by François Pons

- allow creating medium without list file.
- better handling of url without password to be displayed
  in urpmi.cfg.
- fixed remaining list file in partial cache causing bad list file
  generation.

Version 4.1 - Nov 27 2002, by François Pons

- fixed checking md5 of rpm files in cache.
- allow rpm files to be downloaded from alternate site.
- allow medium to not use a list file.

Version 4.0-25mdk - Nov 13 2002, by François Pons

- fixed --noclean not really completely noclean.
- avoid possible lost of with_hdlist parameter on some case
  when updating a medium.

Version 4.0-24mdk - Nov 07 2002, by François Pons

- fixed still present debug output of urpmq -R.
- fixed bad use of cached list file for file or nfs media.

Version 4.0-23mdk - Oct 29 2002, by François Pons

- added MD5SUM file support for downloading hdlist/synthesis.
- added -R option to urpmq to search what may provide packages.

Version 4.0-22mdk - Oct 24 2002, by François Pons

- fixed online help of tools to be more consistent.
- added some times missing --help options.
- fixed bad version displayed by urpmq.
- added --list-aliases to list parallel aliases.
- fixed bad rpm in cache by checking only MD5 signature.

Version 4.0-21mdk - Oct 16 2002, by François Pons

- fixed bad copy of files when a relative symlink is used.
- added minimal README documentation files for distributed modules.
- fixed urpmi -P with package name already used by provides of
  other package.

Version 4.0-20mdk - Sep 17 2002, by François Pons

- gc: fixed curl proxy management.

Version 4.0-19mdk - Sep 16 2002, by François Pons

- fixed possible problem with http proxy for wget.
- umount removable device automatically mounted.

Version 4.0-18mdk - Sep 13 2002, by François Pons

- removed apache2-conf from skip.list as it doesn't work
  when trying to install apache2.

Version 4.0-17mdk - Sep 12 2002, by François Pons

- fixed possible no clean of distributed module.
- added apache2-conf to skip.list by default.
- fixed gurpmi usability.

Version 4.0-16mdk - Sep 11 2002, by François Pons

- improved ka-run distributed module to copy all files with one
  invocation (newly supported in ka-run-2.0-15mdk).
- daouda: InitialPreference for gurpmi (clicking on a rpm under
          konqueror should launch gurpmi instead of kpackage).

Version 4.0-15mdk - Sep 06 2002, by François Pons

- fixed previous fix not correctly fixed.

Version 4.0-14mdk - Sep 06 2002, by François Pons

- fixed ka-run distributed module.

Version 4.0-13mdk - Sep 05 2002, by François Pons

- simplified --proxy usage (http:// leading now optional).
- fixed --proxy and --proxy-user or urpmq.

Version 4.0-12mdk - Sep 05 2002, by François Pons

- fixed bad englist message.
- updated translation.

Version 4.0-11mdk - Aug 30 2002, by François Pons

- fixed no post-clean when testing or if errors occured.

Version 4.0-10mdk - Aug 30 2002, by François Pons

- fixed cache management (there could exist some files left in cache
  which were never deleted).
- added default cache management to post-clean (remove files of
  package correctly installed), it is still possible to keep old
  behaviour with "--pre-clean --no-post-clean".
- added --clean options to urpmi to clean cache completely.
- improved urpme to no more use rpm executable.
- (fcrozat) Move gurpmi to /usr/sbin and add consolehelper support for it 
  and register it to handle application/x-rpm mimetype.

Version 4.0-9mdk - Aug 29 2002, by François Pons

- added --list-nodes to list nodes used when in parallel mode.
- moved some initialisation for parallel mode to allow user
  execution of --list-nodes.
- updated man pages with newer options.

Version 4.0-8mdk - Aug 29 2002, by François Pons

- added --parallel option to urpmq.
- allowed test upgrade in parallel mode.
- improved first choices in parallel mode a little.

Version 4.0-7mdk - Aug 28 2002, by François Pons

- added --list-media to urpmq.
- fixed old package not upgraded.

Version 4.0-6mdk - Aug 27 2002, by François Pons

- fixed skip.list new format.

Version 4.0-5mdk - Aug 27 2002, by François Pons

- fixed urpmq --auto-select disabling its selection.
- open read-only rpmdb when testing installation (--test).
- added reverse media parameter from parallel configuration.
- improved error management of parallel extension module.

Version 4.0-4mdk - Aug 26 2002, by François Pons

- english typo fixed.
- improved skip.list contents to provides using sense and regexp
  on package fullname.
- added --test options to urpmi to test installation.
- made --verify-rpm the default (use --no-verify-rpm to avoid).
- fixed command line not seen in log.
- improved parallel module to check installation on all nodes before
  doing it effectively.

Version 4.0-3mdk - Aug 23 2002, by Warly

- fix urpme '/' pb

Version 4.0-2mdk - Aug 23 2002, by François Pons

- added ssh parallel module extension.
- fixed check of capabilities of distant urpmi.
- fixed wrong installation of extension modules.

Version 4.0 - Aug 23 2002, by François Pons

- added --parallel options for distributed urpmi.
- added urpmi module extensions support (only --parallel).
- added --synthesis options for urpmq/urpmi to use a specific
  environment.
- use cache files even if no medium have been defined (for use
  with --synthesis).

Version 3.9-8mdk - Aug 13 2002, by François Pons

- fixed development log still done for progression status, now
  removed.
- ignore noauto: hdlists flags.

Version 3.9-7mdk - Aug 12 2002, by François Pons

- fixed --auto not taken into account for removing or unselecting
  packages in urpmi.
- fixed modified flag ignored in urpmi.cfg (may cause side effects
  as remove media not asked next time urpmi.removemedia is called).
- added --verify-rpm to urpmi in order to check rpm signature.

Version 3.9-6mdk - Aug 06 2002, by François Pons

- added --allow-nodeps and --allow-force option to urpmi.
- globing multiple media name select them all instead of error.
- answering no to remove package cause urpmi to exit immediately.
- added support for X for asking user to unselect package or to
  remove package.

Version 3.9-5mdk - Jul 26 2002, by François Pons

- fixed man pages typo.
- sorted package to remove list.
- always copy rpm if using supermount on a cdrom (avoid being too slow).

Version 3.9-4mdk - Jul 25 2002, by François Pons

- fixed urpmq -u.

Version 3.9-3mdk - Jul 24 2002, by François Pons

- added more log.
- use perl-URPM-0.50-4mdk or better for correct generation of
  synthesis file for unresolved provides when packages are
  multiply defined.

Version 3.9-2mdk - Jul 23 2002, by François Pons

- updated urpme to use perl-URPM and speed it up (no more
  rpm -e --test ...).
- updated rpm-find-leaves to use perl-URPM.

Version 3.9 - Jul 23 2002, by François Pons

- updated to use perl-URPM >= 0.50.

Version 3.8-3mdk - Jul 22 2002, by François Pons

- fixed ldconfig cannot be installed.
- added translation support on error.

Version 3.8-2mdk - Jul 22 2002, by François Pons

- fixed no dependencies or forced install error.

Version 3.8 - Jul 19 2002, by François Pons

- removing, installing and upgrading packages is done in only
  one transaction.
- changed installation progress to look like rpm one.

Version 3.7-6mdk - Jul 17 2002, by François Pons

- fixed uncatched die, now produce error message.

Version 3.7-5mdk - Jul 16 2002, by François Pons

- fixed no progression of download.
- fixed bad proxy support on command line.

Version 3.7-4mdk - Jul 12 2002, by Pixel

- fix problem with no proxy

Version 3.7-3mdk - Jul 11 2002, by François Pons

- incorporated proxy patch of Andre Duclos <shirka@wanadoo.fr>.
- added tempory error message (before message and translation are
  done).

Version 3.7 - Jul 08 2002, by François Pons

- added new methods to handle directly installation of package (no
  more rpm binary needed).
- fixed some english typo (thanks to Mark Walker).

Version 3.6-5mdk - Jul 02 2002, by Pixel

- use perl-Locale-gettext instead of perl-gettext
  (ie. Locale::gettext instead of Locale::GetText)

Version 3.6-4mdk - Jun 28 2002, by François Pons

- increase retry count to 10 instead of 3 for rsync and ssh protocol.
- support preferred tools to download files (grpmi only handles ftp
  and http protocol currently).
- change behaviour of no answered to remove package to simply ignore
  remove instead of exiting.

Version 3.6-3mdk - Jun 28 2002, by François Pons

- fix deadlock on removing package.
- fix rsync download for mulitples files.

Version 3.6-2mdk - Jun 27 2002, by François Pons

- added rsync:// and ssh:// protocol to urpmi.

Version 3.6 - Jun 27 2002, by François Pons

- removed no more used methods in urpm module.
- make sure absent synthesis force synthesis regeneration.
- add initial support to remove package wich will breaks upgrade
  for urpmi only (ignored in urpmq).

Version 3.5-8mdk - Jun 20 2002, by François Pons

- added back version lost for some time (Guillaume Rousse).
- added --list to urpmq to list package.
- added regression test (explicit make test for instance).

Version 3.5-7mdk - Jun 19 2002, by François Pons

- fixed urpmq to no more use old resolution methods in urpm.pm.
- fixed urpmq to take care of choices correctly (no default selection).

Version 3.5-6mdk - Jun 18 2002, by François Pons

- fixed --bug on required file not provided for generating rpmdb.cz.

Version 3.5-5mdk - Jun 17 2002, by François Pons

- fixed urpmi --auto-select with no update and question asked.
- fixed urpmq --auto-select with error on HASH...

Version 3.5-4mdk - Jun 17 2002, by François Pons

- fixed urpmq --headers on some cases.

Version 3.5-3mdk - Jun 13 2002, by François Pons

- fixed --auto-select and skip.list.

Version 3.5-2mdk - Jun 13 2002, by François Pons

- added --env option to urpmi to replay bug report.

Version 3.5 - Jun 13 2002, by François Pons

- use perl-URPM >= 0.04-2mdk for new require resolution algorithms.

Version 3.4-9mdk - Jun 10 2002, by François Pons

- fixed no output if root.
- use message function as most as possible. (why it wasn't used ?)
- fix message to output more if bug report.
- list of package is LF separated instead of space separated.

Version 3.4-8mdk - Jun 10 2002, by François Pons

- added --bug option to report bug report.
- fixed --auto-select and skip.list.

Version 3.4-7mdk - Jun 07 2002, by François Pons

- fixed still present log on standard output.

Version 3.4-6mdk - Jun 07 2002, by François Pons

- fixed skip.list to skip according provides (even not the best).
- fixed package id 0 always selected (generally ldconfig or lsbdev).

Version 3.4-5mdk - Jun 05 2002, by François Pons

- fixed fuzzy search on package (error in urpm.pm around line 1404-1409).

Version 3.4-4mdk - Jun 05 2002, by François Pons

- fixed urpmq.
- fixed incomplete requires on some cases.
- fixed reading of rpm files.

Version 3.4-3mdk - Jun 05 2002, by François Pons

- avoid sub of sub with different level of variable closure in perl,
  this cause the interpreter to lose its memory usage.

Version 3.4-2mdk - Jun 05 2002, by François Pons

- fix rpmdb non closed when traversing it.
- fix ftp and http medium with bad list generation.
- improved urpmi.update to avoid two pass all the time.

Version 3.4 - Jun 04 2002, by François Pons

- use URPM perl module instead of rpmtools.

Version 3.3-25mdk - Apr 11 2002, by François Pons

- fixed a problem for searching package according to name when
  nothing should be found but other package are proposed.

Version 3.3-24mdk - Apr 10 2002, by François Pons

- fixed package that need to be upgraded but which is provided
  by another package (Mesa and XFree86-libs).

Version 3.3-23mdk - Apr 10 2002, by François Pons

- fixed diff_provides on unversioned property not taken into 
  account (libbinutils2 with binutils).
- fixed virtual version only requires against virtual version and
  release provides when resolver try to check release
  (libgtk+-x11-2.0_0-devel with gtk+2.0-backend-devel).

Version 3.3-22mdk - Mar 11 2002, by François Pons

- added --wget/--curl support to urpmq (needed by rpmdrake).

Version 3.3-21mdk - Mar 07 2002, by François Pons

- fix --wget and --curl for urpmi.addmedia.

Version 3.3-20mdk - Mar 07 2002, by François Pons

- fixed when console has been closed and urpmi ask for changing
  medium (currently it open/eject the device).

Version 3.3-19mdk - Mar 05 2002, by François Pons

- fixed parse_synthesis when a the src package is following its
  binary counterpart (overidding its description).

Version 3.3-18mdk - Mar 04 2002, by François Pons

- added patch from Andrej Borksenkow modified.

Version 3.3-17mdk - Feb 28 2002, by François Pons

- added (undocumented) --root option to urpmi/urpmq to install in a
  given root.
- rebuild with newer po.

Version 3.3-16mdk - Feb 27 2002, by François Pons

- fixed possible problem on urpmi update db (perl die workarounded).

Version 3.3-15mdk - Feb 25 2002, by François Pons

- fixed bad behaviour on src package as user (no message).
- fixed src package listed on package to be installed (which is
  wrong).
- removed kernel-source in inst.list which may breaks on some
  case (workaround).

Version 3.3-14mdk - Feb 21 2002, by François Pons

- build package as noarch as there is no more any binary inside.
- fixed urpme to avoid removing base package.

Version 3.3-13mdk - Feb 21 2002, by François Pons

- removed staling debug log.
- try to mount a removable device before examining if an available
  device is present.

Version 3.3-12mdk - Feb 20 2002, by François Pons

- fixed installing dependancies of given src.rpm filename.
- fixed to keep removable device already mounted before asking
  user to change.

Version 3.3-11mdk - Feb 19 2002, by François Pons

- fixed obsoletes on direct requires when a sense is given.
- added a tracking method in urpm library for allowing upgrade.

Version 3.3-10mdk - Feb 18 2002, by Pixel

- remove autoirpm until it's fixed (or used/advertised)

Version 3.3-9mdk - Feb 18 2002, by François Pons

- fixed requires resolution regression when old package provides
  property removed by newer (libification).

Version 3.3-8mdk - Feb 18 2002, by François Pons

- fixed too verbose erroneous output that may hurt the user.
- fixed reduce_pathname with real url which reduce a bit
  too much.

Version 3.3-6mdk - Feb 14 2002, by François Pons

- use reduce_pathname even for downloading distant file.
- fixed typo.

Version 3.3-5mdk - Feb 13 2002, by François Pons

- fixed source package given on command line in urpmi.
- fixed management of obsoletes in --auto-select.

Version 3.3-4mdk - Feb 12 2002, by François Pons

- fixed bad method reference in urpmq (used by rpmdrake).
- fixed urpmq -d behaviour.
- fixed bad signal handler behaviour.

Version 3.3-3mdk - Feb 12 2002, by François Pons

- package installed (and not upgraded) are by default using --nodeps
  (typically kernel-source).
- updated man pages.

Version 3.3-2mdk - Feb 11 2002, by François Pons

- fixed multiple mounts of removable device.

Version 3.3 - Feb 11 2002, by François Pons

- added --fuzzy as alias to -y (sorry Andrej to be late on this).
- added --src (aliased to -s) to handle src rpm in medium.
- added --noclean (only urpmi) to avoid cleaning the cache of rpm.
- try handling src in medium (there is still weirdness for access
  right, need to be root first and user after).

Version 3.2-8mdk - Feb 07 2002, by François Pons

- fixed a requires resolution when a package C is upgraded which
  need a package A with a specific version and release, but a
  package B is already installed providing A with a better version
  and release, in such case urpmi doesn't think it is necessary
  to upgrade A.

Version 3.2-7mdk - Jan 31 2002, by François Pons

- fixed regexp in supermount fstab management.
- simply kill urpmi logger which avoid losing 1 second.
- early check of installed package.
- fixed operator comparison when version are equal and operator
  is strict and release is present for conflicts, provides and
  requires tags elements.

Version 3.2-6mdk - Jan 30 2002, by François Pons

- fixed some case where removable device are not ejected.

Version 3.2-5mdk - Jan 29 2002, by François Pons

- added -y options to urpmi/urpmq to impose fuzzy search.
- cleaned dependancy resolver algorithm.
- fixed package asked to be installed but already installed (rare).
- fixed TERM signal send to itself.

Version 3.2-4mdk - Jan 28 2002, by François Pons

- integrated patch for supermount from Andrej Borsenkow.
- fixed --wget (or --curl) not used in urpmi.update.
- try to manage .src.rpm file in a usable way.
- fixed requires resolution on multiple requires with
  sense and without sense informations on the same
  package (menu bug).
- fixed typo in po/fr.po (multiple -f for help page).

Version 3.2-3mdk - Jan 23 2002, by François Pons

- fixed possible conflicts management error.
- fixed --mediums for upload of same package in different media.
- changed --mediums to --media but kept --mediums.

Version 3.2-2mdk - Jan 17 2002, by François Pons

- added urpm.3 man pages.
- improved urpmi.removemedia (help, added -c flag, noclean headers).

Version 3.2 - Jan 16 2002, by François Pons

- fixed bad use of update flag.
- fixed urpmi_rpm-find-leaves to use rpm db directly.
- added --mediums to urpmi/urpmq to select medium explicitely.
- added workaround to make sure synthesis file are built,
  using specific rpmtools-4.0-4mdk and above parsehdlist.
- release 3.2 (urpmi_rpm-find-leaves changes, --mediums flag).

Version 3.1-8mdk - Jan 16 2002, by François Pons

- improved dependencies resolution (typically XFree86 newer
  packages).
- removed log on uploading with curl.

Version 3.1-7mdk - Jan 15 2002, by François Pons

- manage conflicts for dependencies resolution.
- added conflicts tag and obsoletes tag in synthesis.

Version 3.1-6mdk - Jan 10 2002, by François Pons

- fixed distant list file support.
- allow shadow approach of list file, the same list file (global)
  can be used for each intermediate medium, urpmi choose the right
  entry for each medium from the same source.
- added /./ as string marker to probe url, this means the heading
  ./ of find . -name "*.rpm" -print should be kept.

Version 3.1-5mdk - Jan 09 2002, by François Pons

- added lock urpmi database features.
- added support for distant list file.

Version 3.1-4mdk - Dec 20 2001, by François Pons

- make sure curl fail if http url does not exists.
- added probe for http or ftp hdlist or synthesis when adding
  a medium (-h).
- added probe for synthesis.hdlist2.cz (contrib medium).
- added signal handler when opening rpm database to make sure
  it will be closed on SIGINT or SIGQUIT.
- urpmi use -p by default.
- allow urpmq to download rpm with http or ftp protocol when
  invoked with --headers (fix rpminst behaviour).

Version 3.1-3mdk - Dec 17 2001, by François Pons

- fixed choice listing.
- somewhat fixed -p kernel.
- fixed installation of package with naming convention changed to
  make upgrade identical to install (kernel and kernel-source).
- allow not to use parsehdlist during --auto-select (now disabled
  by default)
- fix curl support broken for http files and missing ftp files.

Version 3.1-2mdk - Dec 14 2001, by François Pons

- added time conditionnal download to curl interface for both http
  and ftp protocol (so need Date::Manip because urpm library use it
  for ftp as no support in curl).
- updated urpm library version to 3.1.

Version 3.1 - Dec 13 2001, by François Pons

- added --distrib flag to urpmi.addmedia to add all media from the
  installation medium.
- fixed update on removable medium (the second to more).
- added probe on name to select media (urpmi.update and urpmi.removemedia).
- added log when adding or removing media.
- release 3.1 (interface change, removed method in urpm library).

Version 3.0-6mdk - Dec 12 2001, by François Pons

- fixed removable device probe for addition of medium.
- fixed synthesis size checking.
- added log when copying file (nfs).
- removed error when description file is not retrieved successfully.
- added -h option to urpmi.addmedia to probe for synthesis or hdlist.
- modified --force of urpmi.update to behave smootly (given once to
  force copy of file, given twice to force regeneration of hdlist).

Version 3.0-5mdk - Dec 10 2001, by François Pons

- added kernel-source in /etc/urpmi/inst.list.

Version 3.0-4mdk - Dec 07 2001, by François Pons

- fixed in urpmq to handle --headers (needed by rpminst) when
  no hdlist are present.

Version 3.0-3mdk - Dec 07 2001, by François Pons

- fixed back /etc/urpmi/urpmi.cfg update.
- fixed back synthesis source management.
- fixed extraction of epoch tag for old synthesis.

Version 3.0-2mdk - Dec 07 2001, by François Pons

- removing sense data in provides (internally).
- optimized depslist relocation for provides cleaning.
- optimized synthesis parsing.
- make sure /etc/urpmi/urpmi.cfg is written on modification.

Version 3.0 - Dec 06 2001, by François Pons

- 3.0 so urpm library interface change and method removal.
- depslist*, compss, provides are obsoleted, synthesis file
  are now used instead (this will help rpmdrake caching).

Version 2.2-2mdk - Dec 06 2001, by François Pons

- fixed bad reference with -p.
- changed -p ... to use choice instead of mutliple packages.

Version 2.2 - Dec 05 2001, by François Pons

- match rpmtools-4.0.
- updated help on-line and fixed options invocation.
- update translation (thierry)

Version 2.1-7mdk - Nov 29 2001, by François Pons

- fixed -p flag with choices.
- fixed -p kernel which may glob another kernel package.

Version 2.1-6mdk - Nov 28 2001, by François Pons

- updated requires to webfetch.

Version 2.1-5mdk - Nov 28 2001, by François Pons

- fixed URL with trailing slashes.
- added download log.

Version 2.1-4mdk - Nov 28 2001, by François Pons

- fixed incovation of sync method even when no files to sync.
- fixed urpmq option management (-m|-M equ -du but necessary by default).
- added small doc in /etc/urpmi/inst.list file.

Version 2.1-3mdk - Nov 27 2001, by François Pons

- added curl support (kept wget support).
- updated help for urpmi, urpmi.update and urpmi.addmedia.
- fixed bad check of urpmi.addmedium for existing name.
- avoid some error message if description is missing (not all).
- allow any prefix for url (especially removable://...).

Version 2.1-2mdk - Nov 27 2001, by François Pons

- removed old optimization to get existing depslist instead
  of rebuilding it.

Version 2.1 - Nov 26 2001, by François Pons

- removed obsoleted code in urpm module.
- ignore -m, -M and -c flag of urpmi/urpmq.
- fixed group display of urpmq.
- added -f for urpmq to display full package name.
- fixed -d of urpmq.
- fixed --auto-select and files of package not obsoleted but
  present in other registered package (no more selected).
- fixed call to grpmi (no more only installation).

Version 2.0-7mdk - Nov 21 2001, by François Pons

- fixed missing urpmi configuration file not read.
- fixed bad output of rpm files to be installed or upgraded.
- fixed bad check of missing rpm files.

Version 2.0-6mdk - Nov 19 2001, by François Pons

- fixed --auto-select and rpm file upload.

Version 2.0-5mdk - Nov 16 2001, by François Pons

- added /etc/urpmi/inst.list support.

Version 2.0-4mdk - Nov 15 2001, by François Pons

- first stable support for updating synthesis file.

Version 2.0-3mdk - Nov 12 2001, by François Pons

- added minimal support for updating synthesis file (untested).
- fixed requires resolution bug (thanks to Borsenkow Andrej).

Version 2.0-2mdk - Nov 09 2001, by François Pons

- added error message if not root.
- fixed some removable device bad regexp (to support new format).
- avoid installing source package (downloaded but ignored).

Version 2.0 - Nov 06 2001, by François Pons

- no more need for removable device selection in URL (autoprobe but need removable://)
  but old description still accepted.
- fix some mount/umount problem.
- improve -m mode speed.
- obsolete -M mode (-M is still recognized on command line but same as -m).
- depslist is no more calculated with dependencies (now optional).
- everything now as 2.0 version.

Version 1.7-15mdk - Oct 27 2001, by Pixel

- fix urpme with i18n (thanks to Andrej Borsenkow)
- fix urpme with regexp-like arguments (mainly things with "++") (thanks to Alexander Skwar)

Version 1.7-14mdk - Sep 24 2001, by François Pons

- fixed stale rpm file (filesize set to 0) in urpmi cache.

Version 1.7-13mdk - Sep 19 2001, by François Pons

- avoid possible error on trying to remove package.
- avoid error message which are more warning.

Version 1.7-12mdk - Sep 17 2001, by François Pons

- fixed urpmq usage of urpm library.

Version 1.7-11mdk - Sep 11 2001, by François Pons

- fixed unable to add a ftp or http medium when with_hdlist
  is set to a value without / inside.

Version 1.7-10mdk - Sep 11 2001, by François Pons

- fixed error about urpmi saying package already installed.
- fixed wrong propagation of indirect updates (-m mode only).

Version 1.7-9mdk - Sep 10 2001, by François Pons

- moved depslist computation out of loop of reading.

Version 1.7-8mdk - Sep 03 2001, by François Pons

- avoid eject removable medium if --auto is given.
- avoid stat in /dev directory.

Version 1.7-7mdk - Aug 31 2001, by François Pons

- added --allow-medium-change to urpmi.
- moved autoirpm french man page to autoirpm package.

Version 1.7-6mdk - Aug 29 2001, by François Pons

- fixed multiple asking of same choices.
- possibly fixed array error in resolving choices.
- fixed wrong reference to fr man pages.

Version 1.7-4mdk - Jul 26 2001, by François Pons

- fixed tentative to always install package with -m mode.

Version 1.7-3mdk - Jul 25 2001, by François Pons

- really fix crazy behaviour of --auto-select.
- fixed local packages install.

Version 1.7-2mdk - Jul 25 2001, by François Pons

- fixed crazy behaviour of --auto-select that try to select
  the whole word (no filtering of installed packages).

Version 1.7 - Jul 23 2001, by François Pons

- updated to use newer rpmtools 3.1.

Version 1.6-13mdk - Jul 14 2001, by Daouda Lo

- added urpmi logrotate file 
- more macroz

Version 1.6-12mdk - Jul 05 2001, by François Pons

- fixed wrong dependencies resolution for local packages
  in minimal mode.
- improved urpmf.
- updated man pages.

Version 1.6-11mdk - Jul 05 2001, by François Pons

- take care of local packages.

Version 1.6-10mdk - Jul 04 2001, by François Pons

- fixed bad packages installed on some cases.

Version 1.6-9mdk - Jul 02 2001, by François Pons

- fixed missing rpmtools reference in urpm library.
- changed die in fatal error.

Version 1.6-8mdk - Jul 02 2001, by François Pons

- fixed typo by pixel.
- fixed bad reference in urpm reported by Michael Reinsch.
- fixed dependencies for closure with old packages.
- added --update flag to urpmi.addmedia

Version 1.6-7mdk - Jun 28 2001, by François Pons

- added update flag to medium.
- fixed -M algortihms with epoch (serial) uses.

Version 1.6-6mdk - Jun 27 2001, by François Pons

- fix problem interpreting serial.

Version 1.6-5mdk - Jun 27 2001, by François Pons

- take care of epoch (serial) for version comparison.

Version 1.6-4mdk - Jun 26 2001, by François Pons

- cleaned source package extraction algorithm.

Version 1.6-3mdk - Jun 25 2001, by François Pons

- reworked algorithms to search packages, added -p options to
  urpmi and urpmq.

Version 1.6-2mdk - Jun 21 2001, by François Pons

- finished i18n support for urpmi.*media.

Version 1.6 - Jun 20 2001, by François Pons

- simplified urpmf.
- fix i18n support and allow l10n of all error message.
- simplified error code of urpmi/urpmq.

Version 1.5-41mdk - Jun 14 2001, by François Pons

- build release for new rpm.

Version 1.5-40mdk - May 30 2001, by François Pons

- avoid including bad rpm filename or with src arch.
- make sure not to reference basesystem if it does not exists.
- fixed --auto to avoid user intervention.

Version 1.5-39mdk - May 29 2001, by François Pons

- fixed broken dependancies.

Version 1.5-38mdk - May 23 2001, by Pixel

- really remove all group urpmi

Version 1.5-37mdk - May 23 2001, by Pixel

- removed setuid bit, now stop yelling or go get f*

Version 1.5-36mdk - May 22 2001, by François Pons

- fixed warning if src rpm are in repository.

Version 1.5-35mdk - May 22 2001, by François Pons

- added synthesis file filtering.
- added arch chekc support.

Version 1.5-34mdk - Apr 17 2001, by François Pons

- fixed sorting of list file.

Version 1.5-33mdk - Apr 17 2001, by François Pons

- make sure building of synthesis files are done.
- return error if file given are wrong.

Version 1.5-32mdk - Apr 13 2001, by François Pons

- fixed typo on urpmf man pages.
- fixed urpmi return exit code of grpmi on error.
- fixed cancel on medium change dialog (gurpmi or --X).

Version 1.5-31mdk - Apr 10 2001, by François Pons

- fixed error on .listing file in rpms cache directory.

Version 1.5-30mdk - Apr 10 2001, by François Pons

- fixed header clean-up.
- updated man pages.

Version 1.5-29mdk - Apr 09 2001, by François Pons

- fixed some missing requires for -m mode.
- fixed bad search with version and release.

Version 1.5-28mdk - Apr 05 2001, by François Pons

- updated man pages.
- fixed remove of synthesis file before update.
- fixed remanent rpm file in cache.

Version 1.5-27mdk - Apr 03 2001, by François Pons

- added better error management.
- fixed some typo for cache management (creating /partial).

Version 1.5-26mdk - Mar 27 2001, by François Pons

- added --WID=id
- let grpmi make the upload of packages.

Version 1.5-25mdk - Mar 26 2001, by François Pons

- sort list file so that rpm are sorted when installed.
- increase speed for --auto-select: implies -M by default.
- added support for retrieving descriptions file.

Version 1.5-24mdk - Mar 26 2001, by François Pons

- fixed annoying message when adding a medium (cp).

Version 1.5-23mdk - Mar 23 2001, by François Pons

- added synthesis hdlist file support to speed up -m mode.

Version 1.5-22mdk - Mar 18 2001, by Pixel

- fix for gmessage and quotes
- adapt autoirpm.update to new hdlists

Version 1.5-21mdk - Mar 15 2001, by Pixel

- update urpmi_rpm-find-leaves

Version 1.5-20mdk - Mar 09 2001, by François Pons

- check whatprovides by examining path too for mode -m.
- fixed incorrect requires/provides association for mode -m.

Version 1.5-19mdk - Mar 07 2001, by François Pons

- fixed default -m mode for urpmq.
- added log for getting packages (wget) and installing them.
- avoid asking user if everything is already installed.

Version 1.5-18mdk - Mar 07 2001, by François Pons

- fixed last line not printed for rpm output.

Version 1.5-17mdk - Mar 05 2001, by François Pons

- fixed ask choices for urpmi -m mode.
- changed default behaviour to abort transaction on error.

Version 1.5-16mdk - Mar 05 2001, by François Pons

- make sure to kill sub process that are doing log to
  avoid lock.

Version 1.5-15mdk - Mar 03 2001, by François Pons

- urpmi mode set to -m by default.

Version 1.5-14mdk - Mar 01 2001, by François Pons

- update with newer rpmtools interface.

Version 1.5-13mdk - Feb 27 2001, by François Pons

- fixed removable cdrom old format extraction.
- fixed bad i18n usage.

Version 1.5-12mdk - Feb 27 2001, by François Pons

- removed use of tee, now forked.

Version 1.5-11mdk - Feb 27 2001, by François Pons

- fixed cohabitation of --auto-select and skip list.
- added -m mode for urpmq.
- added --sources flag for urpmq.

Version 1.5-10mdk - Feb 26 2001, by François Pons

- fixed auto-select flag to use dependancies resolver after.

Version 1.5-9mdk - Feb 26 2001, by François Pons

- fixed big bug of provides files completely read but only
  files should be extracted with no package description.
- added log for depslist computation.

Version 1.5-8mdk - Feb 23 2001, by François Pons

- fix --auto-select and skip list.

Version 1.5-7mdk - Feb 23 2001, by François Pons

- added /etc/urpmi/skip.list for package that should not
  be upgraded.
- remove -v option of urpmq to match -v as verbose.

Version 1.5-6mdk - Feb 19 2001, by François Pons

- fixed urpmq --headers with exotic rpm filename.
- fixed closing using tee (need testing).
- fixed missing dependancies resolution using -m mode.

Version 1.5-5mdk - Feb 19 2001, by François Pons

- fixed -m mode for prompting user if needed.
- fixed -m mode with depandancies resolving.
- avoid update urpmi db except if old urpmi.

Version 1.5-4mdk - Feb 16 2001, by François Pons

- fixed -m mode with failed depandancies.

Version 1.5-3mdk - Feb 16 2001, by François Pons

- added -m flag to urpmi for minimal upgrade.
- fixed urpmq olding approach of local rpm (added --force too
  as in urpmi).
- fixed some i18n usage.

Version 1.5-2mdk - Feb 14 2001, by François Pons

- removable medium are not automatically updated now.
- remove need of number removable device when adding a new medium.

Version 1.5 - Feb 14 2001, by François Pons

- added --auto-select flag for urpmi and urpmq.
- added --headers flag to urpmq.
- changed help screen for both urpmi and urpmq.

Version 1.4-7mdk - Feb 05 2001, by François Pons

- fixed wrong probing of medium list file.

Version 1.4-6mdk - Feb 05 2001, by François Pons

- fixed missing mounting on non removable device like nfs.
- flush STDERR and STDOUT before exiting.

Version 1.4-5mdk - Jan 30 2001, by François Pons

- added medium change code.
- fixed urpmi with local file.
- changed default option to verbose when invoking rpm.

Version 1.4-4mdk - Jan 25 2001, by François Pons

- added code to search for source rpms file to install.
- modified manipulation of ignore flag, keep media name unique.
- lot of fixes on urpm core library.

Version 1.4-3mdk - Jan 25 2001, by François Pons

- need rpmtools-2.1-9mdk or above for hdlist building extension.
- introduced cache directory for medium and rpms manipulation.

Version 1.4-2mdk - Jan 17 2001, by François Pons

- fixed glitches in urpm.pm module about old format of urpmi.cfg.

Version 1.4 - Jan 16 2001, by François Pons

- extract urpmi/urpmq common code and newer code for medium
  management in perl module urpm.
- rewrite tools to use the module.

Version 1.3-12mdk - Nov 27 2000, by François Pons

- fixed urpmi.addmedia if already added media are no more accessible.

Version 1.3-11mdk - Nov 16 2000, by François Pons

- fixed compilation problems.

Version 1.3-10mdk - Sep 25 2000, by François Pons

- updated urpme to depslist.ordered.

Version 1.3-9mdk - Sep 20 2000, by Guillaume Cottenceau

- in --auto under X, does not display anymore the sucking interactive dialog
  "everything already installed"

Version 1.3-8mdk - Sep 20 2000, by Guillaume Cottenceau

- added option --best-output that selects X if available

Version 1.3-7mdk - Sep 13 2000, by François Pons

- trusting root only readable file list.*, fixes gurpmi with
  mutlitple media examination.
- removed setuid root on urpmq.

Version 1.3-6mdk - Sep 05 2000, by François Pons

- split query mode of urpmi into new tools urpmq.
- fixed -v option of urpmi.
- updated man pages of various tools.

Version 1.3-5mdk - Sep 03 2000, by François Pons

- fixed incorporation of media with already defined packages, choose the
  relocated one by rpmtools library.

Version 1.3-4mdk - Sep 01 2000, by François Pons

- fixed --auto usage (thanks to Garbage Collector).
- fixed urpmi.addmedia with glob on rpm files only.

Version 1.3-3mdk - Aug 31 2000, by François Pons

- Oops, fixed typo in post.

Version 1.3-2mdk - Aug 31 2000, by François Pons

- added code to proper upgrade of urpmi 1.2.
- added small correction in urpmi for basesystem selection.
- fixed help invocation (thanks to Bryan Paxton).
- modified urpmf not to use rpmtools-compat.

Version 1.3 - Aug 28 2000, by François Pons

- 1.3 of urpmi.
- use rpmtools perl interface to access hdlist and build requires.

Version 1.2-4mdk - Aug 06 2000, by Pixel

- urpmi local_file only if local_file ends with .rpm

Version 1.2-3mdk - Jul 19 2000, by Pixel

- change versions of autoirpm and gurpmi
- macroization, BM

Version 1.2 - Jun 29 2000, by Pixel

- nice fixes from diablero (mainly better generation of list.*)

Version 1.1-6mdk - May 04 2000, by Pixel

- urpmi: unset IFS

Version 1.1-5mdk - Apr 04 2000, by Pixel

- urpmi: add option --force to ignore errors

Version 1.1-4mdk - Mar 26 2000, by Pixel

- autoirpm.update: adapted to new hdlist format

Version 1.1-3mdk - Mar 26 2000, by Pixel

- urpmi can handle package files given on command line. It finds out the
dependencies if possible.
- added rpme (try it, you'll like it!)
- don't try nodeps if file is missing
- new group
- adapted urpmi.addmedia to new hdlist's / multi-cd
- adapted autoirpm.update-all to new rpmlib

Version 1.1-2mdk - Mar 16 2000, by Pixel

- increase version number of gurpmi and autoirpm

Version 1.1 - Mar 07 2000, by Pixel

- new version, compatible with new DrakX and new rpmtools
- add man page for rpmf

Version 1.0-2mdk - Feb 28 2000, by Pixel

- unset $BASH_ENV

Version 1.0 - Feb 12 2000, by Pixel

- small urpmi man page change

Version 0.9-40mdk - Feb 10 2000, by Pixel

- unset $ENV to please -U

Version 0.9-39mdk - Feb 09 2000, by Pixel

- now really handle multiple args
- new option ``-a'' to install all the proposed packages
- add ability to --nodeps and --force in case of install errors

* Mon Jan 10 2000 Pixel
- bug fix from Brian J. Murrell

* Fri Jan 07 2000 Pixel
- urpmi: tty question now defaults to yes and acts that way!
- add an example to urpmi.addmedia.8

* Thu Jan 06 2000 Pixel
- urpmi: tty question now defaults to yes (y/N -> N/y)

Version 0.9-34mdk - Jan 04 2000, by Chmouel Boudjnah

- rpmf: use egrep.

* Tue Jan 04 2000 Pixel
- urpmi.addmedia: replaced hdlist2files by hdlist2names
- rpmf: created

* Mon Dec 27 1999 Pixel
- fixed a bug in urpmi.addmedia

* Wed Dec 22 1999 Pixel
- added urpmi_rpm-find-leaves

* Mon Dec 20 1999 Pixel
- bug fix in autoirpm.update

* Sun Dec 19 1999 Pixel
- bug fix for autoirpm (bad directory)
- enhancement to urpmi (in place gzip'ing)
- small cute enhancements

* Fri Dec 17 1999 Pixel
- changed a message

* Thu Dec 16 1999 Pixel
- added -follow to the find (thanx2(ti){2})

* Wed Dec 15 1999 Pixel
- fixed a bug in dependencies

* Sat Dec 11 1999 Pixel
- i18n using po-like style

* Wed Dec 08 1999 Pixel
- fixed a bug (gmessage called with no double quotes and i18n)

* Thu Dec 02 1999 Pixel
- better error output (both in /var/log/urpmi.* and stdout/stderr)

* Fri Nov 26 1999 Pixel
- some bug fixes

* Tue Nov 23 1999 Pixel
- include new man pages and doc from camille :)

* Mon Nov 22 1999 Pixel
- s|sbin|bin| in requires (again) (wow already monday!)

* Sun Nov 21 1999 Pixel
- autoirpm: added require gurpmi

* Sat Nov 20 1999 Pixel
- urpmi.addmedia modified

* Wed Nov 17 1999 Pixel
- corrected error in urpmi script
- replaced dependency perl by /usr/bin/suidperl

* Mon Nov 15 1999 Pixel
- changed the handling of urpmi, added urpmi.addmedia...
